<?php
/*
  WebMakers.com Added: Downloads Controller
  Written by Linda McGrath osCOMMERCE@WebMakers.com
  http://www.thewebmakerscorner.com

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 osCommerce

  Released under the GNU General Public License
*/

////
// Define orders_status setting per payment module
// Additional modules can be added

function downloads_controller_orders_status() {
global $my_total, $my_weight, $my_payment_method, $my_default_orders_status_id;

  switch (true) {

    case ( $my_payment_method=='freecharger' ):
      $my_status = DEFAULT_ORDERS_STATUS_ID_FREEBIES_0P_0W;
      break;

    case ( $my_payment_method=='authorizenet' ):
      switch (true) {
        case ( $my_total > 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_AUTHORIZENET_NP_NW;
          break;
        
        case ( $my_total > 0 and $my_weight == 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_AUTHORIZENET_NP_0W;
          break;

        case ( $my_total == 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_AUTHORIZENET_0P_NW;
          break;

      }
    break;

    case ( $my_payment_method=='cc' ):
      switch (true) {
        case ( $my_total > 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_CC_NP_NW;
          break;
        
        case ( $my_total > 0 and $my_weight == 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_CC_NP_0W;
          break;

        case ( $my_total == 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_CC_0P_NW;
          break;

      }
    break;

    case ( $my_payment_method=='cod' ):
      switch (true) {
        case ( $my_total > 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_COD_NP_NW;
          break;
        
        case ( $my_total > 0 and $my_weight == 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_COD_NP_0W;
          break;

        case ( $my_total == 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_COD_0P_NW;
          break;

      }
    break;

    case ( $my_payment_method=='ipayment' ):
      switch (true) {
        case ( $my_total > 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_IPAYMENT_NP_NW;
          break;
        
        case ( $my_total > 0 and $my_weight == 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_IPAYMENT_NP_0W;
          break;

        case ( $my_total == 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_IPAYMENT_0P_NW;
          break;

      }
    break;

    case ( $my_payment_method=='itransact_split' ):
      switch (true) {
        case ( $my_total > 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_ITRANSACT_SPLIT_NP_NW;
          break;
        
        case ( $my_total > 0 and $my_weight == 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_ITRANSACT_SPLIT_NP_0W;
          break;

        case ( $my_total == 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_ITRANSACT_SPLIT_0P_NW;
          break;

      }
    break;

    case ( $my_payment_method=='moneyorder' ):
      switch (true) {
        case ( $my_total > 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_MONEYORDER_NP_NW;
          break;
        
        case ( $my_total > 0 and $my_weight == 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_MONEYORDER_NP_0W;
          break;

        case ( $my_total == 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_MONEYORDER_0P_NW;
          break;

      }
    break;

    case ( $my_payment_method=='nochex' ):
      switch (true) {
        case ( $my_total > 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_NOCHEX_NP_NW;
          break;
        
        case ( $my_total > 0 and $my_weight == 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_NOCHEX_NP_0W;
          break;

        case ( $my_total == 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_NOCHEX_0P_NW;
          break;

      }
    break;

    case ( $my_payment_method=='paypal' ):
      switch (true) {
        case ( $my_total > 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_PAYPAL_NP_NW;
          break;
        
        case ( $my_total > 0 and $my_weight == 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_PAYPAL_NP_0W;
          break;

        case ( $my_total == 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_PAYPAL_0P_NW;
          break;

      }
    break;

    case ( $my_payment_method=='pm2checkout' ):
      switch (true) {
        case ( $my_total > 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_PM2CHECKOUT_NP_NW;
          break;
        
        case ( $my_total > 0 and $my_weight == 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_PM2CHECKOUT_NP_0W;
          break;

        case ( $my_total == 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_PM2CHECKOUT_0P_NW;
          break;

      }
    break;

    case ( $my_payment_method=='purchased_order' ):
      switch (true) {
        case ( $my_total > 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_PURCHASED_ORDER_NP_NW;
          break;
        
        case ( $my_total > 0 and $my_weight == 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_PURCHASED_ORDER_NP_0W;
          break;

        case ( $my_total == 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_PURCHASED_ORDER_0P_NW;
          break;

      }
    break;

    case ( $my_payment_method=='secpay' ):
      switch (true) {
        case ( $my_total > 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_SECPAY_NP_NW;
          break;
        
        case ( $my_total > 0 and $my_weight == 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_SECPAY_NP_0W;
          break;

        case ( $my_total == 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_SECPAY_0P_NW;
          break;

      }
    break;

    case ( $my_payment_method=='worldpay' ):
      switch (true) {
        case ( $my_total > 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_WORLDPAY_NP_NW;
          break;
        
        case ( $my_total > 0 and $my_weight == 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_WORLDPAY_NP_0W;
          break;

        case ( $my_total == 0 and $my_weight > 0 ):
          $my_status = DEFAULT_ORDERS_STATUS_ID_WORLDPAY_0P_NW;
          break;

      }
    break;

    default:
      $my_status = DEFAULT_ORDERS_STATUS_ID;
      break;

  }
  return $my_status;
}


////
// BOF: WebMakers.com Added: Free Payments and Shipping
// Adjust shipping cost if order contains free shipping products with percentage shipping charges
// reduce total cost by percentage_shipping_adjusted_cost() to allow for free shipping products
  function percentage_shipping_adjusted_cost() {
    global $cart;
    $adjusted_cost=0;
      $products_check = $cart->get_products();
      for ($i=0; $i<sizeof($products_check); $i++) {
        $my_products_id= $products_check[$i]['id'];
        if ( ($products_check[$i]['weight']) == 0 ) {
          $adjusted_cost= $adjusted_cost + ( $products_check[$i]['price'] * $products_check[$i]['quantity'] );
        }
      }
    return $adjusted_cost;
  }
// EOF: WebMakers.com Added: Free Payments and Shipping

?>
