<?php
/*
  WebMakers.com Added: Downloads Controller
  Written by Linda McGrath osCOMMERCE@WebMakers.com
  http://www.thewebmakerscorner.com

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 osCommerce

  Released under the GNU General Public License
*/

// SET ORDER STATUS BASED ON PAYMENT MODULE, $TOTAL AND $WEIGHT
// Based on:
// Pending - 1
// Processing - 2
// Complete - 3
// Updated - 4

// DOWNLOADS Available at what status level - Each payment module is defined individually. 
// The downloads will be available if the order status is >= DOWNLOADS_AVAILABLE_STATUS
// The order status is set by the individual definitions below.
define('DOWNLOADS_AVAILABLE_STATUS','2');


// DOWNLOAD Available from what date? I prefer last_modified over date_purchased for Money Orders and such
// Also makes it easier to update the user for another try.
// Only one or the other should be commented out
//define(DOWNLOAD_AVAILABLE_DATE,'last_modified');
define(DOWNLOAD_AVAILABLE_DATE,'date_purchased');


// MSG to customers about downloads
define('DOWNLOAD_MSG','<BR>NOTE: Downloads are not available until payment has been confirmed');


// PAYMENT ORDERS_STATUS SETTINGS TO USE PER MODULE:
// If no module definition, than DEFAULT_ORDERS_STATUS_ID is used

// freebies.php
define('DEFAULT_ORDERS_STATUS_ID_FREEBIES_0P_0W','3');

// authorizenet.php
define('DEFAULT_ORDERS_STATUS_ID_AUTHORIZENET_NP_NW','2'); // Normal Price, Normal Weight
define('DEFAULT_ORDERS_STATUS_ID_AUTHORIZENET_NP_0W','3'); // Normal Price, NO Weight
define('DEFAULT_ORDERS_STATUS_ID_AUTHORIZENET_0P_NW','2'); // 0 Price, Normal Weight

// cc.php
define('DEFAULT_ORDERS_STATUS_ID_CC_NP_NW','2'); // Normal Price, Normal Weight
define('DEFAULT_ORDERS_STATUS_ID_CC_NP_0W','2'); // Normal Price, NO Weight
define('DEFAULT_ORDERS_STATUS_ID_CC_0P_NW','2'); // 0 Price, Normal Weight

// cod.php
define('DEFAULT_ORDERS_STATUS_ID_COD_NP_NW','1'); // Normal Price, Normal Weight
define('DEFAULT_ORDERS_STATUS_ID_COD_NP_0W','1'); // Normal Price, NO Weight
define('DEFAULT_ORDERS_STATUS_ID_COD_0P_NW','1'); // 0 Price, Normal Weight

// ipayment.php
define('DEFAULT_ORDERS_STATUS_ID_IPAYMENT_NP_NW','2'); // Normal Price, Normal Weight
define('DEFAULT_ORDERS_STATUS_ID_IPAYMENT_NP_0W','2'); // Normal Price, NO Weight
define('DEFAULT_ORDERS_STATUS_ID_IPAYMENT_0P_NW','2'); // 0 Price, Normal Weight

// itransact_split.php
define('DEFAULT_ORDERS_STATUS_ID_ITRANSACT_SPLIT_NP_NW','2'); // Normal Price, Normal Weight
define('DEFAULT_ORDERS_STATUS_ID_ITRANSACT_SPLIT_NP_0W','2'); // Normal Price, NO Weight
define('DEFAULT_ORDERS_STATUS_ID_ITRANSACT_SPLIT_0P_NW','2'); // 0 Price, Normal Weight

// moneyorder.php
define('DEFAULT_ORDERS_STATUS_ID_MONEYORDER_NP_NW','1'); // Normal Price, Normal Weight
define('DEFAULT_ORDERS_STATUS_ID_MONEYORDER_NP_0W','1'); // Normal Price, NO Weight
define('DEFAULT_ORDERS_STATUS_ID_MONEYORDER_0P_NW','1'); // 0 Price, Normal Weight

// nochex.php
define('DEFAULT_ORDERS_STATUS_ID_NOCHEX_NP_NW','3'); // Normal Price, Normal Weight
define('DEFAULT_ORDERS_STATUS_ID_NOCHEX_NP_0W','3'); // Normal Price, NO Weight
define('DEFAULT_ORDERS_STATUS_ID_NOCHEX_0P_NW','3'); // 0 Price, Normal Weight

// paypal.php
define('DEFAULT_ORDERS_STATUS_ID_PAYPAL_NP_NW','2'); // Normal Price, Normal Weight
define('DEFAULT_ORDERS_STATUS_ID_PAYPAL_NP_0W','3'); // Normal Price, NO Weight
define('DEFAULT_ORDERS_STATUS_ID_PAYPAL_0P_NW','2'); // 0 Price, Normal Weight

// pm2checkout.php
define('DEFAULT_ORDERS_STATUS_ID_PM2CHECKOUT_NP_NW','2'); // Normal Price, Normal Weight
define('DEFAULT_ORDERS_STATUS_ID_PM2CHECKOUT_NP_0W','2'); // Normal Price, NO Weight
define('DEFAULT_ORDERS_STATUS_ID_PM2CHECKOUT_0P_NW','2'); // 0 Price, Normal Weight

// purchased_order.php
define('DEFAULT_ORDERS_STATUS_ID_PURCHASED_ORDER_NP_NW','2'); // Normal Price, Normal Weight
define('DEFAULT_ORDERS_STATUS_ID_PURCHASED_ORDER_NP_0W','2'); // Normal Price, NO Weight
define('DEFAULT_ORDERS_STATUS_ID_PURCHASED_ORDER_0P_NW','2'); // 0 Price, Normal Weight

// secpay.php
define('DEFAULT_ORDERS_STATUS_ID_SECPAY_NP_NW','2'); // Normal Price, Normal Weight
define('DEFAULT_ORDERS_STATUS_ID_SECPAY_NP_0W','3'); // Normal Price, NO Weight
define('DEFAULT_ORDERS_STATUS_ID_SECPAY_0P_NW','2'); // 0 Price, Normal Weight

// worldpay.php
define('DEFAULT_ORDERS_STATUS_ID_WORLDPAY_NP_NW','2'); // Normal Price, Normal Weight
define('DEFAULT_ORDERS_STATUS_ID_WORLDPAY_NP_0W','3'); // Normal Price, NO Weight
define('DEFAULT_ORDERS_STATUS_ID_WORLDPAY_0P_NW','2'); // 0 Price, Normal Weight

?>