-- phpMyAdmin SQL Dump
-- version 2.8.0.2
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Generation Time: May 04, 2006 at 07:26 PM
-- Server version: 4.0.25
-- PHP Version: 4.4.2
-- 
-- Database: `osc`
-- 
--CREATE DATABASE `osc`;
--USE osc;

-- --------------------------------------------------------

-- 
-- Table structure for table `address_book`
-- 

CREATE TABLE `address_book` (
  `address_book_id` int(11) NOT NULL auto_increment,
  `customers_id` int(11) NOT NULL default '0',
  `entry_gender` char(1) NOT NULL default '',
  `entry_company` varchar(32) default NULL,
  `entry_firstname` varchar(32) NOT NULL default '',
  `entry_lastname` varchar(32) NOT NULL default '',
  `entry_street_address` varchar(64) NOT NULL default '',
  `entry_suburb` varchar(32) default NULL,
  `entry_postcode` varchar(10) NOT NULL default '',
  `entry_city` varchar(32) NOT NULL default '',
  `entry_state` varchar(32) default NULL,
  `entry_country_id` int(11) NOT NULL default '0',
  `entry_zone_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`address_book_id`),
  KEY `idx_address_book_customers_id` (`customers_id`)
) TYPE=MyISAM AUTO_INCREMENT=6 ;

-- 
-- Dumping data for table `address_book`
-- 

INSERT INTO `address_book` (`address_book_id`, `customers_id`, `entry_gender`, `entry_company`, `entry_firstname`, `entry_lastname`, `entry_street_address`, `entry_suburb`, `entry_postcode`, `entry_city`, `entry_state`, `entry_country_id`, `entry_zone_id`) VALUES (1, 1, 'm', 'ACME Inc.', 'John', 'Doe', '1 Way Street', '', '12345', 'NeverNever', '', 223, 12),
(2, 2, 'm', '', 'dieter', 'kartoffelkopf', '13006 W. 185th St', '', '60448', 'Mokena', '', 223, 23),
(3, 3, 'm', 'Cardamar Music', 'Marco', 'Sijbesma', 'Weegbree 30', '', '8607DS', 'Sneek', 'Friesland', 150, 0),
(4, 4, 'm', '', 'Junk', 'Info', 'Junk St.', '', '58653', 'Junker', '', 223, 2);

-- --------------------------------------------------------

-- 
-- Table structure for table `address_format`
-- 

CREATE TABLE `address_format` (
  `address_format_id` int(11) NOT NULL auto_increment,
  `address_format` varchar(128) NOT NULL default '',
  `address_summary` varchar(48) NOT NULL default '',
  PRIMARY KEY  (`address_format_id`)
) TYPE=MyISAM AUTO_INCREMENT=6 ;

-- 
-- Dumping data for table `address_format`
-- 

INSERT INTO `address_format` (`address_format_id`, `address_format`, `address_summary`) VALUES (1, '$firstname $lastname$cr$streets$cr$city, $postcode$cr$statecomma$country', '$city / $country'),
(2, '$firstname $lastname$cr$streets$cr$city, $state    $postcode$cr$country', '$city, $state / $country'),
(3, '$firstname $lastname$cr$streets$cr$city$cr$postcode - $statecomma$country', '$state / $country'),
(4, '$firstname $lastname$cr$streets$cr$city ($postcode)$cr$country', '$postcode / $country'),
(5, '$firstname $lastname$cr$streets$cr$postcode $city$cr$country', '$city / $country');

-- --------------------------------------------------------

-- 
-- Table structure for table `banners`
-- 

CREATE TABLE `banners` (
  `banners_id` int(11) NOT NULL auto_increment,
  `banners_title` varchar(64) NOT NULL default '',
  `banners_url` varchar(255) NOT NULL default '',
  `banners_image` varchar(64) NOT NULL default '',
  `banners_group` varchar(10) NOT NULL default '',
  `banners_html_text` text,
  `expires_impressions` int(7) default '0',
  `expires_date` datetime default NULL,
  `date_scheduled` datetime default NULL,
  `date_added` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_status_change` datetime default NULL,
  `status` int(1) NOT NULL default '1',
  PRIMARY KEY  (`banners_id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `banners`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `banners_history`
-- 

CREATE TABLE `banners_history` (
  `banners_history_id` int(11) NOT NULL auto_increment,
  `banners_id` int(11) NOT NULL default '0',
  `banners_shown` int(5) NOT NULL default '0',
  `banners_clicked` int(5) NOT NULL default '0',
  `banners_history_date` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`banners_history_id`)
) TYPE=MyISAM AUTO_INCREMENT=5 ;

-- 
-- Dumping data for table `banners_history`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `categories`
-- 

CREATE TABLE `categories` (
  `categories_id` int(11) NOT NULL auto_increment,
  `categories_image` varchar(64) default NULL,
  `parent_id` int(11) NOT NULL default '0',
  `sort_order` int(3) default NULL,
  `date_added` datetime default NULL,
  `last_modified` datetime default NULL,
  PRIMARY KEY  (`categories_id`),
  KEY `idx_categories_parent_id` (`parent_id`)
) TYPE=MyISAM AUTO_INCREMENT=24 ;

-- 
-- Dumping data for table `categories`
-- 

INSERT INTO `categories` (`categories_id`, `categories_image`, `parent_id`, `sort_order`, `date_added`, `last_modified`) VALUES (21, '', 0, 0, '2006-04-24 21:34:55', NULL),
(22, '', 0, 0, '2006-04-24 21:35:19', NULL),
(23, '', 0, 0, '2006-04-30 21:37:37', NULL);

-- --------------------------------------------------------

-- 
-- Table structure for table `categories_description`
-- 

CREATE TABLE `categories_description` (
  `categories_id` int(11) NOT NULL default '0',
  `language_id` int(11) NOT NULL default '1',
  `categories_name` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`categories_id`,`language_id`),
  KEY `idx_categories_name` (`categories_name`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `categories_description`
-- 

INSERT INTO `categories_description` (`categories_id`, `language_id`, `categories_name`) VALUES (23, 1, 'Mixes'),
(21, 1, 'CD'),
(22, 1, 'Download');

-- --------------------------------------------------------

-- 
-- Table structure for table `configuration`
-- 

CREATE TABLE `configuration` (
  `configuration_id` int(11) NOT NULL auto_increment,
  `configuration_title` varchar(64) NOT NULL default '',
  `configuration_key` varchar(64) NOT NULL default '',
  `configuration_value` varchar(255) NOT NULL default '',
  `configuration_description` varchar(255) NOT NULL default '',
  `configuration_group_id` int(11) NOT NULL default '0',
  `sort_order` int(5) default NULL,
  `last_modified` datetime default NULL,
  `date_added` datetime NOT NULL default '0000-00-00 00:00:00',
  `use_function` varchar(255) default NULL,
  `set_function` varchar(255) default NULL,
  PRIMARY KEY  (`configuration_id`)
) TYPE=MyISAM AUTO_INCREMENT=165 ;

-- 
-- Dumping data for table `configuration`
-- 

INSERT INTO `configuration` (`configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `last_modified`, `date_added`, `use_function`, `set_function`) VALUES (1, 'Store Name', 'STORE_NAME', 'Chill Store', 'The name of my store', 1, 1, '2006-04-24 21:22:46', '2006-04-24 21:02:32', NULL, NULL),
(2, 'Store Owner', 'STORE_OWNER', 'quad341', 'The name of my store owner', 1, 2, '2006-04-24 21:22:59', '2006-04-24 21:02:32', NULL, NULL),
(3, 'E-Mail Address', 'STORE_OWNER_EMAIL_ADDRESS', 'quad341@gmail.com', 'The e-mail address of my store owner', 1, 3, '2006-04-24 21:23:07', '2006-04-24 21:02:32', NULL, NULL),
(4, 'E-Mail From', 'EMAIL_FROM', 'quad341 <quad341@gmail.com>', 'The e-mail address used in (sent) e-mails', 1, 4, '2006-04-24 21:23:20', '2006-04-24 21:02:32', NULL, NULL),
(5, 'Country', 'STORE_COUNTRY', '223', 'The country my store is located in <br><br><b>Note: Please remember to update the store zone.</b>', 1, 6, NULL, '2006-04-24 21:02:32', 'tep_get_country_name', 'tep_cfg_pull_down_country_list('),
(6, 'Zone', 'STORE_ZONE', '23', 'The zone my store is located in', 1, 7, '2006-04-24 21:23:28', '2006-04-24 21:02:32', 'tep_cfg_get_zone_name', 'tep_cfg_pull_down_zone_list('),
(7, 'Expected Sort Order', 'EXPECTED_PRODUCTS_SORT', 'desc', 'This is the sort order used in the expected products box.', 1, 8, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''asc'', ''desc''),'),
(8, 'Expected Sort Field', 'EXPECTED_PRODUCTS_FIELD', 'date_expected', 'The column to sort by in the expected products box.', 1, 9, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''products_name'', ''date_expected''),'),
(9, 'Switch To Default Language Currency', 'USE_DEFAULT_LANGUAGE_CURRENCY', 'false', 'Automatically switch to the language''s currency when it is changed', 1, 10, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(10, 'Send Extra Order Emails To', 'SEND_EXTRA_ORDER_EMAILS_TO', '', 'Send extra order emails to the following email addresses, in this format: Name 1 &lt;email@address1&gt;, Name 2 &lt;email@address2&gt;', 1, 11, NULL, '2006-04-24 21:02:32', NULL, NULL),
(11, 'Use Search-Engine Safe URLs (still in development)', 'SEARCH_ENGINE_FRIENDLY_URLS', 'false', 'Use search-engine safe urls for all site links', 1, 12, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(12, 'Display Cart After Adding Product', 'DISPLAY_CART', 'true', 'Display the shopping cart after adding a product (or return back to their origin)', 1, 14, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(13, 'Allow Guest To Tell A Friend', 'ALLOW_GUEST_TO_TELL_A_FRIEND', 'false', 'Allow guests to tell a friend about a product', 1, 15, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(14, 'Default Search Operator', 'ADVANCED_SEARCH_DEFAULT_OPERATOR', 'and', 'Default search operators', 1, 17, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''and'', ''or''),'),
(15, 'Store Address and Phone', 'STORE_NAME_ADDRESS', 'Store Name\nAddress\nCountry\nPhone', 'This is the Store Name, Address and Phone used on printable documents and displayed online', 1, 18, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_textarea('),
(16, 'Show Category Counts', 'SHOW_COUNTS', 'true', 'Count recursively how many products are in each category', 1, 19, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(17, 'Tax Decimal Places', 'TAX_DECIMAL_PLACES', '0', 'Pad the tax value this amount of decimal places', 1, 20, NULL, '2006-04-24 21:02:32', NULL, NULL),
(18, 'Display Prices with Tax', 'DISPLAY_PRICE_WITH_TAX', 'false', 'Display prices with tax included (true) or add the tax at the end (false)', 1, 21, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(19, 'First Name', 'ENTRY_FIRST_NAME_MIN_LENGTH', '2', 'Minimum length of first name', 2, 1, NULL, '2006-04-24 21:02:32', NULL, NULL),
(20, 'Last Name', 'ENTRY_LAST_NAME_MIN_LENGTH', '2', 'Minimum length of last name', 2, 2, NULL, '2006-04-24 21:02:32', NULL, NULL),
(21, 'Date of Birth', 'ENTRY_DOB_MIN_LENGTH', '10', 'Minimum length of date of birth', 2, 3, NULL, '2006-04-24 21:02:32', NULL, NULL),
(22, 'E-Mail Address', 'ENTRY_EMAIL_ADDRESS_MIN_LENGTH', '6', 'Minimum length of e-mail address', 2, 4, NULL, '2006-04-24 21:02:32', NULL, NULL),
(23, 'Street Address', 'ENTRY_STREET_ADDRESS_MIN_LENGTH', '5', 'Minimum length of street address', 2, 5, NULL, '2006-04-24 21:02:32', NULL, NULL),
(24, 'Company', 'ENTRY_COMPANY_MIN_LENGTH', '2', 'Minimum length of company name', 2, 6, NULL, '2006-04-24 21:02:32', NULL, NULL),
(25, 'Post Code', 'ENTRY_POSTCODE_MIN_LENGTH', '4', 'Minimum length of post code', 2, 7, NULL, '2006-04-24 21:02:32', NULL, NULL),
(26, 'City', 'ENTRY_CITY_MIN_LENGTH', '3', 'Minimum length of city', 2, 8, NULL, '2006-04-24 21:02:32', NULL, NULL),
(27, 'State', 'ENTRY_STATE_MIN_LENGTH', '2', 'Minimum length of state', 2, 9, NULL, '2006-04-24 21:02:32', NULL, NULL),
(28, 'Telephone Number', 'ENTRY_TELEPHONE_MIN_LENGTH', '3', 'Minimum length of telephone number', 2, 10, NULL, '2006-04-24 21:02:32', NULL, NULL),
(29, 'Password', 'ENTRY_PASSWORD_MIN_LENGTH', '5', 'Minimum length of password', 2, 11, NULL, '2006-04-24 21:02:32', NULL, NULL),
(30, 'Credit Card Owner Name', 'CC_OWNER_MIN_LENGTH', '3', 'Minimum length of credit card owner name', 2, 12, NULL, '2006-04-24 21:02:32', NULL, NULL),
(31, 'Credit Card Number', 'CC_NUMBER_MIN_LENGTH', '10', 'Minimum length of credit card number', 2, 13, NULL, '2006-04-24 21:02:32', NULL, NULL),
(32, 'Review Text', 'REVIEW_TEXT_MIN_LENGTH', '50', 'Minimum length of review text', 2, 14, NULL, '2006-04-24 21:02:32', NULL, NULL),
(33, 'Best Sellers', 'MIN_DISPLAY_BESTSELLERS', '1', 'Minimum number of best sellers to display', 2, 15, NULL, '2006-04-24 21:02:32', NULL, NULL),
(34, 'Also Purchased', 'MIN_DISPLAY_ALSO_PURCHASED', '1', 'Minimum number of products to display in the ''This Customer Also Purchased'' box', 2, 16, NULL, '2006-04-24 21:02:32', NULL, NULL),
(35, 'Address Book Entries', 'MAX_ADDRESS_BOOK_ENTRIES', '5', 'Maximum address book entries a customer is allowed to have', 3, 1, NULL, '2006-04-24 21:02:32', NULL, NULL),
(36, 'Search Results', 'MAX_DISPLAY_SEARCH_RESULTS', '20', 'Amount of products to list', 3, 2, NULL, '2006-04-24 21:02:32', NULL, NULL),
(37, 'Page Links', 'MAX_DISPLAY_PAGE_LINKS', '5', 'Number of ''number'' links use for page-sets', 3, 3, NULL, '2006-04-24 21:02:32', NULL, NULL),
(38, 'Special Products', 'MAX_DISPLAY_SPECIAL_PRODUCTS', '9', 'Maximum number of products on special to display', 3, 4, NULL, '2006-04-24 21:02:32', NULL, NULL),
(39, 'New Products Module', 'MAX_DISPLAY_NEW_PRODUCTS', '9', 'Maximum number of new products to display in a category', 3, 5, NULL, '2006-04-24 21:02:32', NULL, NULL),
(40, 'Products Expected', 'MAX_DISPLAY_UPCOMING_PRODUCTS', '10', 'Maximum number of products expected to display', 3, 6, NULL, '2006-04-24 21:02:32', NULL, NULL),
(41, 'Manufacturers List', 'MAX_DISPLAY_MANUFACTURERS_IN_A_LIST', '0', 'Used in manufacturers box; when the number of manufacturers exceeds this number, a drop-down list will be displayed instead of the default list', 3, 7, NULL, '2006-04-24 21:02:32', NULL, NULL),
(42, 'Manufacturers Select Size', 'MAX_MANUFACTURERS_LIST', '1', 'Used in manufacturers box; when this value is ''1'' the classic drop-down list will be used for the manufacturers box. Otherwise, a list-box with the specified number of rows will be displayed.', 3, 7, NULL, '2006-04-24 21:02:32', NULL, NULL),
(43, 'Length of Manufacturers Name', 'MAX_DISPLAY_MANUFACTURER_NAME_LEN', '15', 'Used in manufacturers box; maximum length of manufacturers name to display', 3, 8, NULL, '2006-04-24 21:02:32', NULL, NULL),
(44, 'New Reviews', 'MAX_DISPLAY_NEW_REVIEWS', '6', 'Maximum number of new reviews to display', 3, 9, NULL, '2006-04-24 21:02:32', NULL, NULL),
(45, 'Selection of Random Reviews', 'MAX_RANDOM_SELECT_REVIEWS', '10', 'How many records to select from to choose one random product review', 3, 10, NULL, '2006-04-24 21:02:32', NULL, NULL),
(46, 'Selection of Random New Products', 'MAX_RANDOM_SELECT_NEW', '10', 'How many records to select from to choose one random new product to display', 3, 11, NULL, '2006-04-24 21:02:32', NULL, NULL),
(47, 'Selection of Products on Special', 'MAX_RANDOM_SELECT_SPECIALS', '10', 'How many records to select from to choose one random product special to display', 3, 12, NULL, '2006-04-24 21:02:32', NULL, NULL),
(48, 'Categories To List Per Row', 'MAX_DISPLAY_CATEGORIES_PER_ROW', '3', 'How many categories to list per row', 3, 13, NULL, '2006-04-24 21:02:32', NULL, NULL),
(49, 'New Products Listing', 'MAX_DISPLAY_PRODUCTS_NEW', '10', 'Maximum number of new products to display in new products page', 3, 14, NULL, '2006-04-24 21:02:32', NULL, NULL),
(50, 'Best Sellers', 'MAX_DISPLAY_BESTSELLERS', '10', 'Maximum number of best sellers to display', 3, 15, NULL, '2006-04-24 21:02:32', NULL, NULL),
(51, 'Also Purchased', 'MAX_DISPLAY_ALSO_PURCHASED', '6', 'Maximum number of products to display in the ''This Customer Also Purchased'' box', 3, 16, NULL, '2006-04-24 21:02:32', NULL, NULL),
(52, 'Customer Order History Box', 'MAX_DISPLAY_PRODUCTS_IN_ORDER_HISTORY_BOX', '6', 'Maximum number of products to display in the customer order history box', 3, 17, NULL, '2006-04-24 21:02:32', NULL, NULL),
(53, 'Order History', 'MAX_DISPLAY_ORDER_HISTORY', '10', 'Maximum number of orders to display in the order history page', 3, 18, NULL, '2006-04-24 21:02:32', NULL, NULL),
(54, 'Small Image Width', 'SMALL_IMAGE_WIDTH', '100', 'The pixel width of small images', 4, 1, NULL, '2006-04-24 21:02:32', NULL, NULL),
(55, 'Small Image Height', 'SMALL_IMAGE_HEIGHT', '80', 'The pixel height of small images', 4, 2, NULL, '2006-04-24 21:02:32', NULL, NULL),
(56, 'Heading Image Width', 'HEADING_IMAGE_WIDTH', '57', 'The pixel width of heading images', 4, 3, NULL, '2006-04-24 21:02:32', NULL, NULL),
(57, 'Heading Image Height', 'HEADING_IMAGE_HEIGHT', '40', 'The pixel height of heading images', 4, 4, NULL, '2006-04-24 21:02:32', NULL, NULL),
(58, 'Subcategory Image Width', 'SUBCATEGORY_IMAGE_WIDTH', '100', 'The pixel width of subcategory images', 4, 5, NULL, '2006-04-24 21:02:32', NULL, NULL),
(59, 'Subcategory Image Height', 'SUBCATEGORY_IMAGE_HEIGHT', '57', 'The pixel height of subcategory images', 4, 6, NULL, '2006-04-24 21:02:32', NULL, NULL),
(60, 'Calculate Image Size', 'CONFIG_CALCULATE_IMAGE_SIZE', 'true', 'Calculate the size of images?', 4, 7, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(61, 'Image Required', 'IMAGE_REQUIRED', 'true', 'Enable to display broken images. Good for development.', 4, 8, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(62, 'Gender', 'ACCOUNT_GENDER', 'true', 'Display gender in the customers account', 5, 1, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(63, 'Date of Birth', 'ACCOUNT_DOB', 'true', 'Display date of birth in the customers account', 5, 2, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(64, 'Company', 'ACCOUNT_COMPANY', 'true', 'Display company in the customers account', 5, 3, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(65, 'Suburb', 'ACCOUNT_SUBURB', 'true', 'Display suburb in the customers account', 5, 4, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(66, 'State', 'ACCOUNT_STATE', 'true', 'Display state in the customers account', 5, 5, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(67, 'Installed Modules', 'MODULE_PAYMENT_INSTALLED', 'banktransfer.php;freecharger.php;paypal.php', 'List of payment module filenames separated by a semi-colon. This is automatically updated. No need to edit. (Example: cc.php;cod.php;paypal.php)', 6, 0, '2006-04-27 14:51:57', '2006-04-24 21:02:32', NULL, NULL),
(68, 'Installed Modules', 'MODULE_ORDER_TOTAL_INSTALLED', 'ot_subtotal.php;ot_shipping.php;ot_tax.php;ot_total.php', 'List of order_total module filenames separated by a semi-colon. This is automatically updated. No need to edit. (Example: ot_subtotal.php;ot_tax.php;ot_shipping.php;ot_total.php)', 6, 0, '2006-04-27 12:40:43', '2006-04-24 21:02:32', NULL, NULL),
(69, 'Installed Modules', 'MODULE_SHIPPING_INSTALLED', 'flat.php;freeshipper.php', 'List of shipping module filenames separated by a semi-colon. This is automatically updated. No need to edit. (Example: ups.php;flat.php;item.php)', 6, 0, '2006-04-27 14:59:13', '2006-04-24 21:02:32', NULL, NULL),
(152, 'Bank Account Name', 'MODULE_PAYMENT_BANKTRANSFER_ACCNAM', 'Fred Bloggs', 'Bank account name', 6, 1, NULL, '2006-04-24 21:32:33', NULL, NULL),
(150, 'Bank Sort Code', 'MODULE_PAYMENT_BANKTRANSFER_SORTCODE', '00-00-00', 'Bank sort code in the format 00-00-00', 6, 1, NULL, '2006-04-24 21:32:33', NULL, NULL),
(151, 'Bank Account No.', 'MODULE_PAYMENT_BANKTRANSFER_ACCNUM', '12345678', 'Bank Account No.', 6, 1, NULL, '2006-04-24 21:32:33', NULL, NULL),
(149, 'Allow Bank Transfer Payment', 'MODULE_PAYMENT_BANKTRANSFER_STATUS', 'True', 'Do you want to accept Bank Transfer Order payments?', 6, 1, NULL, '2006-04-24 21:32:33', NULL, NULL),
(79, 'Enable Flat Shipping', 'MODULE_SHIPPING_FLAT_STATUS', 'True', 'Do you want to offer flat rate shipping?', 6, 0, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''True'', ''False''),'),
(80, 'Shipping Cost', 'MODULE_SHIPPING_FLAT_COST', '5.00', 'The shipping cost for all orders using this shipping method.', 6, 0, NULL, '2006-04-24 21:02:32', NULL, NULL),
(81, 'Tax Class', 'MODULE_SHIPPING_FLAT_TAX_CLASS', '0', 'Use the following tax class on the shipping fee.', 6, 0, NULL, '2006-04-24 21:02:32', 'tep_get_tax_class_title', 'tep_cfg_pull_down_tax_classes('),
(82, 'Shipping Zone', 'MODULE_SHIPPING_FLAT_ZONE', '0', 'If a zone is selected, only enable this shipping method for that zone.', 6, 0, NULL, '2006-04-24 21:02:32', 'tep_get_zone_class_title', 'tep_cfg_pull_down_zone_classes('),
(83, 'Sort Order', 'MODULE_SHIPPING_FLAT_SORT_ORDER', '0', 'Sort order of display.', 6, 0, NULL, '2006-04-24 21:02:32', NULL, NULL),
(84, 'Default Currency', 'DEFAULT_CURRENCY', 'EUR', 'Default Currency', 6, 0, NULL, '2006-04-24 21:02:32', NULL, NULL),
(85, 'Default Language', 'DEFAULT_LANGUAGE', 'en', 'Default Language', 6, 0, NULL, '2006-04-24 21:02:32', NULL, NULL),
(86, 'Default Order Status For New Orders', 'DEFAULT_ORDERS_STATUS_ID', '1', 'When a new order is created, this order status will be assigned to it.', 6, 0, NULL, '2006-04-24 21:02:32', NULL, NULL),
(87, 'Display Shipping', 'MODULE_ORDER_TOTAL_SHIPPING_STATUS', 'true', 'Do you want to display the order shipping cost?', 6, 1, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(88, 'Sort Order', 'MODULE_ORDER_TOTAL_SHIPPING_SORT_ORDER', '2', 'Sort order of display.', 6, 2, NULL, '2006-04-24 21:02:32', NULL, NULL),
(89, 'Allow Free Shipping', 'MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING', 'false', 'Do you want to allow free shipping?', 6, 3, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(90, 'Free Shipping For Orders Over', 'MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING_OVER', '50', 'Provide free shipping for orders over the set amount.', 6, 4, NULL, '2006-04-24 21:02:32', 'currencies->format', NULL),
(91, 'Provide Free Shipping For Orders Made', 'MODULE_ORDER_TOTAL_SHIPPING_DESTINATION', 'national', 'Provide free shipping for orders sent to the set destination.', 6, 5, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''national'', ''international'', ''both''),'),
(92, 'Display Sub-Total', 'MODULE_ORDER_TOTAL_SUBTOTAL_STATUS', 'true', 'Do you want to display the order sub-total cost?', 6, 1, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(93, 'Sort Order', 'MODULE_ORDER_TOTAL_SUBTOTAL_SORT_ORDER', '1', 'Sort order of display.', 6, 2, NULL, '2006-04-24 21:02:32', NULL, NULL),
(94, 'Display Tax', 'MODULE_ORDER_TOTAL_TAX_STATUS', 'true', 'Do you want to display the order tax value?', 6, 1, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(95, 'Sort Order', 'MODULE_ORDER_TOTAL_TAX_SORT_ORDER', '3', 'Sort order of display.', 6, 2, NULL, '2006-04-24 21:02:32', NULL, NULL),
(96, 'Display Total', 'MODULE_ORDER_TOTAL_TOTAL_STATUS', 'true', 'Do you want to display the total order value?', 6, 1, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(97, 'Sort Order', 'MODULE_ORDER_TOTAL_TOTAL_SORT_ORDER', '4', 'Sort order of display.', 6, 2, NULL, '2006-04-24 21:02:32', NULL, NULL),
(98, 'Country of Origin', 'SHIPPING_ORIGIN_COUNTRY', '223', 'Select the country of origin to be used in shipping quotes.', 7, 1, NULL, '2006-04-24 21:02:32', 'tep_get_country_name', 'tep_cfg_pull_down_country_list('),
(99, 'Postal Code', 'SHIPPING_ORIGIN_ZIP', 'NONE', 'Enter the Postal Code (ZIP) of the Store to be used in shipping quotes.', 7, 2, NULL, '2006-04-24 21:02:32', NULL, NULL),
(100, 'Enter the Maximum Package Weight you will ship', 'SHIPPING_MAX_WEIGHT', '50', 'Carriers have a max weight limit for a single package. This is a common one for all.', 7, 3, NULL, '2006-04-24 21:02:32', NULL, NULL),
(101, 'Package Tare weight.', 'SHIPPING_BOX_WEIGHT', '3', 'What is the weight of typical packaging of small to medium packages?', 7, 4, NULL, '2006-04-24 21:02:32', NULL, NULL),
(102, 'Larger packages - percentage increase.', 'SHIPPING_BOX_PADDING', '10', 'For 10% enter 10', 7, 5, NULL, '2006-04-24 21:02:32', NULL, NULL),
(103, 'Display Product Image', 'PRODUCT_LIST_IMAGE', '1', 'Do you want to display the Product Image?', 8, 1, NULL, '2006-04-24 21:02:32', NULL, NULL),
(104, 'Display Product Manufaturer Name', 'PRODUCT_LIST_MANUFACTURER', '0', 'Do you want to display the Product Manufacturer Name?', 8, 2, NULL, '2006-04-24 21:02:32', NULL, NULL),
(105, 'Display Product Model', 'PRODUCT_LIST_MODEL', '0', 'Do you want to display the Product Model?', 8, 3, NULL, '2006-04-24 21:02:32', NULL, NULL),
(106, 'Display Product Name', 'PRODUCT_LIST_NAME', '2', 'Do you want to display the Product Name?', 8, 4, NULL, '2006-04-24 21:02:32', NULL, NULL),
(107, 'Display Product Price', 'PRODUCT_LIST_PRICE', '3', 'Do you want to display the Product Price', 8, 5, NULL, '2006-04-24 21:02:32', NULL, NULL),
(108, 'Display Product Quantity', 'PRODUCT_LIST_QUANTITY', '0', 'Do you want to display the Product Quantity?', 8, 6, NULL, '2006-04-24 21:02:32', NULL, NULL),
(109, 'Display Product Weight', 'PRODUCT_LIST_WEIGHT', '0', 'Do you want to display the Product Weight?', 8, 7, NULL, '2006-04-24 21:02:32', NULL, NULL),
(110, 'Display Buy Now column', 'PRODUCT_LIST_BUY_NOW', '4', 'Do you want to display the Buy Now column?', 8, 8, NULL, '2006-04-24 21:02:32', NULL, NULL),
(111, 'Display Category/Manufacturer Filter (0=disable; 1=enable)', 'PRODUCT_LIST_FILTER', '1', 'Do you want to display the Category/Manufacturer Filter?', 8, 9, NULL, '2006-04-24 21:02:32', NULL, NULL),
(112, 'Location of Prev/Next Navigation Bar (1-top, 2-bottom, 3-both)', 'PREV_NEXT_BAR_LOCATION', '2', 'Sets the location of the Prev/Next Navigation Bar (1-top, 2-bottom, 3-both)', 8, 10, NULL, '2006-04-24 21:02:32', NULL, NULL),
(113, 'Check stock level', 'STOCK_CHECK', 'true', 'Check to see if sufficent stock is available', 9, 1, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(114, 'Subtract stock', 'STOCK_LIMITED', 'true', 'Subtract product in stock by product orders', 9, 2, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(115, 'Allow Checkout', 'STOCK_ALLOW_CHECKOUT', 'false', 'Allow customer to checkout even if there is insufficient stock', 9, 3, '2006-04-26 20:23:47', '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(116, 'Mark product out of stock', 'STOCK_MARK_PRODUCT_OUT_OF_STOCK', '***', 'Display something on screen so customer can see which product has insufficient stock', 9, 4, NULL, '2006-04-24 21:02:32', NULL, NULL),
(117, 'Stock Re-order level', 'STOCK_REORDER_LEVEL', '5', 'Define when stock needs to be re-ordered', 9, 5, NULL, '2006-04-24 21:02:32', NULL, NULL),
(118, 'Store Page Parse Time', 'STORE_PAGE_PARSE_TIME', 'false', 'Store the time it takes to parse a page', 10, 1, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(119, 'Log Destination', 'STORE_PAGE_PARSE_TIME_LOG', '/var/log/www/tep/page_parse_time.log', 'Directory and filename of the page parse time log', 10, 2, NULL, '2006-04-24 21:02:32', NULL, NULL),
(120, 'Log Date Format', 'STORE_PARSE_DATE_TIME_FORMAT', '%d/%m/%Y %H:%M:%S', 'The date format', 10, 3, NULL, '2006-04-24 21:02:32', NULL, NULL),
(121, 'Display The Page Parse Time', 'DISPLAY_PAGE_PARSE_TIME', 'true', 'Display the page parse time (store page parse time must be enabled)', 10, 4, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(122, 'Store Database Queries', 'STORE_DB_TRANSACTIONS', 'false', 'Store the database queries in the page parse time log (PHP4 only)', 10, 5, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(123, 'Use Cache', 'USE_CACHE', 'false', 'Use caching features', 11, 1, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(124, 'Cache Directory', 'DIR_FS_CACHE', '/tmp/', 'The directory where the cached files are saved', 11, 2, NULL, '2006-04-24 21:02:32', NULL, NULL),
(125, 'E-Mail Transport Method', 'EMAIL_TRANSPORT', 'sendmail', 'Defines if this server uses a local connection to sendmail or uses an SMTP connection via TCP/IP. Servers running on Windows and MacOS should change this setting to SMTP.', 12, 1, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''sendmail'', ''smtp''),'),
(126, 'E-Mail Linefeeds', 'EMAIL_LINEFEED', 'LF', 'Defines the character sequence used to separate mail headers.', 12, 2, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''LF'', ''CRLF''),'),
(127, 'Use MIME HTML When Sending Emails', 'EMAIL_USE_HTML', 'false', 'Send e-mails in HTML format', 12, 3, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(128, 'Verify E-Mail Addresses Through DNS', 'ENTRY_EMAIL_ADDRESS_CHECK', 'false', 'Verify e-mail address through a DNS server', 12, 4, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(129, 'Send E-Mails', 'SEND_EMAILS', 'true', 'Send out e-mails', 12, 5, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(130, 'Enable download', 'DOWNLOAD_ENABLED', 'true', 'Enable the products download functions.', 13, 1, '2006-04-27 11:38:05', '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(131, 'Download by redirect', 'DOWNLOAD_BY_REDIRECT', 'false', 'Use browser redirection for download. Disable on non-Unix systems.', 13, 2, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(132, 'Expiry delay (days)', 'DOWNLOAD_MAX_DAYS', '0', 'Set number of days before the download link expires. 0 means no limit.', 13, 3, '2006-04-27 11:38:32', '2006-04-24 21:02:32', NULL, ''),
(133, 'Maximum number of downloads', 'DOWNLOAD_MAX_COUNT', '500', 'Set the maximum number of downloads. 0 means no download authorized.', 13, 4, '2006-04-27 11:38:48', '2006-04-24 21:02:32', NULL, ''),
(134, 'Enable GZip Compression', 'GZIP_COMPRESSION', 'true', 'Enable HTTP GZip compression.', 14, 1, '2006-04-26 23:39:17', '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(135, 'Compression Level', 'GZIP_LEVEL', '5', 'Use this compression level 0-9 (0 = minimum, 9 = maximum).', 14, 2, NULL, '2006-04-24 21:02:32', NULL, NULL),
(136, 'Session Directory', 'SESSION_WRITE_DIRECTORY', '/tmp', 'If sessions are file based, store them in this directory.', 15, 1, NULL, '2006-04-24 21:02:32', NULL, NULL),
(137, 'Force Cookie Use', 'SESSION_FORCE_COOKIE_USE', 'False', 'Force the use of sessions when cookies are only enabled.', 15, 2, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''True'', ''False''),'),
(138, 'Check SSL Session ID', 'SESSION_CHECK_SSL_SESSION_ID', 'False', 'Validate the SSL_SESSION_ID on every secure HTTPS page request.', 15, 3, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''True'', ''False''),'),
(139, 'Check User Agent', 'SESSION_CHECK_USER_AGENT', 'False', 'Validate the clients browser user agent on every page request.', 15, 4, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''True'', ''False''),'),
(140, 'Check IP Address', 'SESSION_CHECK_IP_ADDRESS', 'False', 'Validate the clients IP address on every page request.', 15, 5, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''True'', ''False''),'),
(141, 'Prevent Spider Sessions', 'SESSION_BLOCK_SPIDERS', 'False', 'Prevent known spiders from starting a session.', 15, 6, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''True'', ''False''),'),
(142, 'Recreate Session', 'SESSION_RECREATE', 'False', 'Recreate the session to generate a new session ID when the customer logs on or creates an account (PHP >=4.1 needed).', 15, 7, NULL, '2006-04-24 21:02:32', NULL, 'tep_cfg_select_option(array(''True'', ''False''),'),
(143, 'Enable PayPal Module', 'MODULE_PAYMENT_PAYPAL_STATUS', 'True', 'Do you want to accept PayPal payments?', 6, 3, NULL, '2006-04-24 21:19:15', NULL, 'tep_cfg_select_option(array(''True'', ''False''),'),
(144, 'E-Mail Address', 'MODULE_PAYMENT_PAYPAL_ID', 'marco@di.fm', 'The e-mail address to use for the PayPal service', 6, 4, NULL, '2006-04-24 21:19:15', NULL, NULL),
(145, 'Transaction Currency', 'MODULE_PAYMENT_PAYPAL_CURRENCY', 'Selected Currency', 'The currency to use for credit card transactions', 6, 6, NULL, '2006-04-24 21:19:15', NULL, 'tep_cfg_select_option(array(''Selected Currency'',''Only USD'',''Only CAD'',''Only EUR'',''Only GBP'',''Only JPY''),'),
(146, 'Sort order of display.', 'MODULE_PAYMENT_PAYPAL_SORT_ORDER', '0', 'Sort order of display. Lowest is displayed first.', 6, 0, NULL, '2006-04-24 21:19:15', NULL, NULL),
(147, 'Payment Zone', 'MODULE_PAYMENT_PAYPAL_ZONE', '0', 'If a zone is selected, only enable this payment method for that zone.', 6, 2, NULL, '2006-04-24 21:19:15', 'tep_get_zone_class_title', 'tep_cfg_pull_down_zone_classes('),
(148, 'Set Order Status', 'MODULE_PAYMENT_PAYPAL_ORDER_STATUS_ID', '0', 'Set the status of orders made with this payment module to this value', 6, 0, NULL, '2006-04-24 21:19:15', 'tep_get_order_status_name', 'tep_cfg_pull_down_order_statuses('),
(153, 'Bank Name', 'MODULE_PAYMENT_BANKTRANSFER_BANKNAM', 'The Bank', 'Bank Name', 6, 1, NULL, '2006-04-24 21:32:33', NULL, NULL),
(164, 'Purchase Without Account', 'PWA_ON', 'true', 'Allow Customers to purchase without an account', 40, 1, '2003-04-08 13:07:44', '2003-04-08 12:10:51', NULL, 'tep_cfg_select_option(array(''true'', ''false''),'),
(161, 'Enable Free Charge Module', 'MODULE_PAYMENT_FREECHARGER_STATUS', 'True', 'Do you want to accept Free Charge payments?', 6, 1, NULL, '2006-04-27 14:51:57', NULL, 'tep_cfg_select_option(array(''True'', ''False''),'),
(162, 'Enable Free Shipping', 'MODULE_SHIPPING_FREESHIPPER_STATUS', '1', 'Do you want to offer Free shipping?', 6, 5, NULL, '2006-04-27 14:52:03', NULL, NULL),
(163, 'Free Shipping Cost', 'MODULE_SHIPPING_FREESHIPPER_COST', '0.00', 'What is the Shipping cost? The Handling fee will also be added.', 6, 6, NULL, '2006-04-27 14:52:03', NULL, NULL);

-- --------------------------------------------------------

-- 
-- Table structure for table `configuration_group`
-- 

CREATE TABLE `configuration_group` (
  `configuration_group_id` int(11) NOT NULL auto_increment,
  `configuration_group_title` varchar(64) NOT NULL default '',
  `configuration_group_description` varchar(255) NOT NULL default '',
  `sort_order` int(5) default NULL,
  `visible` int(1) default '1',
  PRIMARY KEY  (`configuration_group_id`)
) TYPE=MyISAM AUTO_INCREMENT=41 ;

-- 
-- Dumping data for table `configuration_group`
-- 

INSERT INTO `configuration_group` (`configuration_group_id`, `configuration_group_title`, `configuration_group_description`, `sort_order`, `visible`) VALUES (1, 'My Store', 'General information about my store', 1, 1),
(2, 'Minimum Values', 'The minimum values for functions / data', 2, 1),
(3, 'Maximum Values', 'The maximum values for functions / data', 3, 1),
(4, 'Images', 'Image parameters', 4, 1),
(5, 'Customer Details', 'Customer account configuration', 5, 1),
(6, 'Module Options', 'Hidden from configuration', 6, 0),
(7, 'Shipping/Packaging', 'Shipping options available at my store', 7, 1),
(8, 'Product Listing', 'Product Listing    configuration options', 8, 1),
(9, 'Stock', 'Stock configuration options', 9, 1),
(10, 'Logging', 'Logging configuration options', 10, 1),
(11, 'Cache', 'Caching configuration options', 11, 1),
(12, 'E-Mail Options', 'General setting for E-Mail transport and HTML E-Mails', 12, 1),
(13, 'Download', 'Downloadable products options', 13, 1),
(14, 'GZip Compression', 'GZip compression options', 14, 1),
(15, 'Sessions', 'Session options', 15, 1),
(40, 'Accounts', 'Configuration of Account settings', 40, 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `counter`
-- 

CREATE TABLE `counter` (
  `startdate` char(8) default NULL,
  `counter` int(12) default NULL
) TYPE=MyISAM;

-- 
-- Dumping data for table `counter`
-- 

INSERT INTO `counter` (`startdate`, `counter`) VALUES ('20060424', 518);

-- --------------------------------------------------------

-- 
-- Table structure for table `counter_history`
-- 

CREATE TABLE `counter_history` (
  `month` char(8) default NULL,
  `counter` int(12) default NULL
) TYPE=MyISAM;

-- 
-- Dumping data for table `counter_history`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `countries`
-- 

CREATE TABLE `countries` (
  `countries_id` int(11) NOT NULL auto_increment,
  `countries_name` varchar(64) NOT NULL default '',
  `countries_iso_code_2` char(2) NOT NULL default '',
  `countries_iso_code_3` char(3) NOT NULL default '',
  `address_format_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`countries_id`),
  KEY `IDX_COUNTRIES_NAME` (`countries_name`)
) TYPE=MyISAM AUTO_INCREMENT=240 ;

-- 
-- Dumping data for table `countries`
-- 

INSERT INTO `countries` (`countries_id`, `countries_name`, `countries_iso_code_2`, `countries_iso_code_3`, `address_format_id`) VALUES (1, 'Afghanistan', 'AF', 'AFG', 1),
(2, 'Albania', 'AL', 'ALB', 1),
(3, 'Algeria', 'DZ', 'DZA', 1),
(4, 'American Samoa', 'AS', 'ASM', 1),
(5, 'Andorra', 'AD', 'AND', 1),
(6, 'Angola', 'AO', 'AGO', 1),
(7, 'Anguilla', 'AI', 'AIA', 1),
(8, 'Antarctica', 'AQ', 'ATA', 1),
(9, 'Antigua and Barbuda', 'AG', 'ATG', 1),
(10, 'Argentina', 'AR', 'ARG', 1),
(11, 'Armenia', 'AM', 'ARM', 1),
(12, 'Aruba', 'AW', 'ABW', 1),
(13, 'Australia', 'AU', 'AUS', 1),
(14, 'Austria', 'AT', 'AUT', 5),
(15, 'Azerbaijan', 'AZ', 'AZE', 1),
(16, 'Bahamas', 'BS', 'BHS', 1),
(17, 'Bahrain', 'BH', 'BHR', 1),
(18, 'Bangladesh', 'BD', 'BGD', 1),
(19, 'Barbados', 'BB', 'BRB', 1),
(20, 'Belarus', 'BY', 'BLR', 1),
(21, 'Belgium', 'BE', 'BEL', 1),
(22, 'Belize', 'BZ', 'BLZ', 1),
(23, 'Benin', 'BJ', 'BEN', 1),
(24, 'Bermuda', 'BM', 'BMU', 1),
(25, 'Bhutan', 'BT', 'BTN', 1),
(26, 'Bolivia', 'BO', 'BOL', 1),
(27, 'Bosnia and Herzegowina', 'BA', 'BIH', 1),
(28, 'Botswana', 'BW', 'BWA', 1),
(29, 'Bouvet Island', 'BV', 'BVT', 1),
(30, 'Brazil', 'BR', 'BRA', 1),
(31, 'British Indian Ocean Territory', 'IO', 'IOT', 1),
(32, 'Brunei Darussalam', 'BN', 'BRN', 1),
(33, 'Bulgaria', 'BG', 'BGR', 1),
(34, 'Burkina Faso', 'BF', 'BFA', 1),
(35, 'Burundi', 'BI', 'BDI', 1),
(36, 'Cambodia', 'KH', 'KHM', 1),
(37, 'Cameroon', 'CM', 'CMR', 1),
(38, 'Canada', 'CA', 'CAN', 1),
(39, 'Cape Verde', 'CV', 'CPV', 1),
(40, 'Cayman Islands', 'KY', 'CYM', 1),
(41, 'Central African Republic', 'CF', 'CAF', 1),
(42, 'Chad', 'TD', 'TCD', 1),
(43, 'Chile', 'CL', 'CHL', 1),
(44, 'China', 'CN', 'CHN', 1),
(45, 'Christmas Island', 'CX', 'CXR', 1),
(46, 'Cocos (Keeling) Islands', 'CC', 'CCK', 1),
(47, 'Colombia', 'CO', 'COL', 1),
(48, 'Comoros', 'KM', 'COM', 1),
(49, 'Congo', 'CG', 'COG', 1),
(50, 'Cook Islands', 'CK', 'COK', 1),
(51, 'Costa Rica', 'CR', 'CRI', 1),
(52, 'Cote D''Ivoire', 'CI', 'CIV', 1),
(53, 'Croatia', 'HR', 'HRV', 1),
(54, 'Cuba', 'CU', 'CUB', 1),
(55, 'Cyprus', 'CY', 'CYP', 1),
(56, 'Czech Republic', 'CZ', 'CZE', 1),
(57, 'Denmark', 'DK', 'DNK', 1),
(58, 'Djibouti', 'DJ', 'DJI', 1),
(59, 'Dominica', 'DM', 'DMA', 1),
(60, 'Dominican Republic', 'DO', 'DOM', 1),
(61, 'East Timor', 'TP', 'TMP', 1),
(62, 'Ecuador', 'EC', 'ECU', 1),
(63, 'Egypt', 'EG', 'EGY', 1),
(64, 'El Salvador', 'SV', 'SLV', 1),
(65, 'Equatorial Guinea', 'GQ', 'GNQ', 1),
(66, 'Eritrea', 'ER', 'ERI', 1),
(67, 'Estonia', 'EE', 'EST', 1),
(68, 'Ethiopia', 'ET', 'ETH', 1),
(69, 'Falkland Islands (Malvinas)', 'FK', 'FLK', 1),
(70, 'Faroe Islands', 'FO', 'FRO', 1),
(71, 'Fiji', 'FJ', 'FJI', 1),
(72, 'Finland', 'FI', 'FIN', 1),
(73, 'France', 'FR', 'FRA', 1),
(74, 'France, Metropolitan', 'FX', 'FXX', 1),
(75, 'French Guiana', 'GF', 'GUF', 1),
(76, 'French Polynesia', 'PF', 'PYF', 1),
(77, 'French Southern Territories', 'TF', 'ATF', 1),
(78, 'Gabon', 'GA', 'GAB', 1),
(79, 'Gambia', 'GM', 'GMB', 1),
(80, 'Georgia', 'GE', 'GEO', 1),
(81, 'Germany', 'DE', 'DEU', 5),
(82, 'Ghana', 'GH', 'GHA', 1),
(83, 'Gibraltar', 'GI', 'GIB', 1),
(84, 'Greece', 'GR', 'GRC', 1),
(85, 'Greenland', 'GL', 'GRL', 1),
(86, 'Grenada', 'GD', 'GRD', 1),
(87, 'Guadeloupe', 'GP', 'GLP', 1),
(88, 'Guam', 'GU', 'GUM', 1),
(89, 'Guatemala', 'GT', 'GTM', 1),
(90, 'Guinea', 'GN', 'GIN', 1),
(91, 'Guinea-bissau', 'GW', 'GNB', 1),
(92, 'Guyana', 'GY', 'GUY', 1),
(93, 'Haiti', 'HT', 'HTI', 1),
(94, 'Heard and Mc Donald Islands', 'HM', 'HMD', 1),
(95, 'Honduras', 'HN', 'HND', 1),
(96, 'Hong Kong', 'HK', 'HKG', 1),
(97, 'Hungary', 'HU', 'HUN', 1),
(98, 'Iceland', 'IS', 'ISL', 1),
(99, 'India', 'IN', 'IND', 1),
(100, 'Indonesia', 'ID', 'IDN', 1),
(101, 'Iran (Islamic Republic of)', 'IR', 'IRN', 1),
(102, 'Iraq', 'IQ', 'IRQ', 1),
(103, 'Ireland', 'IE', 'IRL', 1),
(104, 'Israel', 'IL', 'ISR', 1),
(105, 'Italy', 'IT', 'ITA', 1),
(106, 'Jamaica', 'JM', 'JAM', 1),
(107, 'Japan', 'JP', 'JPN', 1),
(108, 'Jordan', 'JO', 'JOR', 1),
(109, 'Kazakhstan', 'KZ', 'KAZ', 1),
(110, 'Kenya', 'KE', 'KEN', 1),
(111, 'Kiribati', 'KI', 'KIR', 1),
(112, 'Korea, Democratic People''s Republic of', 'KP', 'PRK', 1),
(113, 'Korea, Republic of', 'KR', 'KOR', 1),
(114, 'Kuwait', 'KW', 'KWT', 1),
(115, 'Kyrgyzstan', 'KG', 'KGZ', 1),
(116, 'Lao People''s Democratic Republic', 'LA', 'LAO', 1),
(117, 'Latvia', 'LV', 'LVA', 1),
(118, 'Lebanon', 'LB', 'LBN', 1),
(119, 'Lesotho', 'LS', 'LSO', 1),
(120, 'Liberia', 'LR', 'LBR', 1),
(121, 'Libyan Arab Jamahiriya', 'LY', 'LBY', 1),
(122, 'Liechtenstein', 'LI', 'LIE', 1),
(123, 'Lithuania', 'LT', 'LTU', 1),
(124, 'Luxembourg', 'LU', 'LUX', 1),
(125, 'Macau', 'MO', 'MAC', 1),
(126, 'Macedonia, The Former Yugoslav Republic of', 'MK', 'MKD', 1),
(127, 'Madagascar', 'MG', 'MDG', 1),
(128, 'Malawi', 'MW', 'MWI', 1),
(129, 'Malaysia', 'MY', 'MYS', 1),
(130, 'Maldives', 'MV', 'MDV', 1),
(131, 'Mali', 'ML', 'MLI', 1),
(132, 'Malta', 'MT', 'MLT', 1),
(133, 'Marshall Islands', 'MH', 'MHL', 1),
(134, 'Martinique', 'MQ', 'MTQ', 1),
(135, 'Mauritania', 'MR', 'MRT', 1),
(136, 'Mauritius', 'MU', 'MUS', 1),
(137, 'Mayotte', 'YT', 'MYT', 1),
(138, 'Mexico', 'MX', 'MEX', 1),
(139, 'Micronesia, Federated States of', 'FM', 'FSM', 1),
(140, 'Moldova, Republic of', 'MD', 'MDA', 1),
(141, 'Monaco', 'MC', 'MCO', 1),
(142, 'Mongolia', 'MN', 'MNG', 1),
(143, 'Montserrat', 'MS', 'MSR', 1),
(144, 'Morocco', 'MA', 'MAR', 1),
(145, 'Mozambique', 'MZ', 'MOZ', 1),
(146, 'Myanmar', 'MM', 'MMR', 1),
(147, 'Namibia', 'NA', 'NAM', 1),
(148, 'Nauru', 'NR', 'NRU', 1),
(149, 'Nepal', 'NP', 'NPL', 1),
(150, 'Netherlands', 'NL', 'NLD', 1),
(151, 'Netherlands Antilles', 'AN', 'ANT', 1),
(152, 'New Caledonia', 'NC', 'NCL', 1),
(153, 'New Zealand', 'NZ', 'NZL', 1),
(154, 'Nicaragua', 'NI', 'NIC', 1),
(155, 'Niger', 'NE', 'NER', 1),
(156, 'Nigeria', 'NG', 'NGA', 1),
(157, 'Niue', 'NU', 'NIU', 1),
(158, 'Norfolk Island', 'NF', 'NFK', 1),
(159, 'Northern Mariana Islands', 'MP', 'MNP', 1),
(160, 'Norway', 'NO', 'NOR', 1),
(161, 'Oman', 'OM', 'OMN', 1),
(162, 'Pakistan', 'PK', 'PAK', 1),
(163, 'Palau', 'PW', 'PLW', 1),
(164, 'Panama', 'PA', 'PAN', 1),
(165, 'Papua New Guinea', 'PG', 'PNG', 1),
(166, 'Paraguay', 'PY', 'PRY', 1),
(167, 'Peru', 'PE', 'PER', 1),
(168, 'Philippines', 'PH', 'PHL', 1),
(169, 'Pitcairn', 'PN', 'PCN', 1),
(170, 'Poland', 'PL', 'POL', 1),
(171, 'Portugal', 'PT', 'PRT', 1),
(172, 'Puerto Rico', 'PR', 'PRI', 1),
(173, 'Qatar', 'QA', 'QAT', 1),
(174, 'Reunion', 'RE', 'REU', 1),
(175, 'Romania', 'RO', 'ROM', 1),
(176, 'Russian Federation', 'RU', 'RUS', 1),
(177, 'Rwanda', 'RW', 'RWA', 1),
(178, 'Saint Kitts and Nevis', 'KN', 'KNA', 1),
(179, 'Saint Lucia', 'LC', 'LCA', 1),
(180, 'Saint Vincent and the Grenadines', 'VC', 'VCT', 1),
(181, 'Samoa', 'WS', 'WSM', 1),
(182, 'San Marino', 'SM', 'SMR', 1),
(183, 'Sao Tome and Principe', 'ST', 'STP', 1),
(184, 'Saudi Arabia', 'SA', 'SAU', 1),
(185, 'Senegal', 'SN', 'SEN', 1),
(186, 'Seychelles', 'SC', 'SYC', 1),
(187, 'Sierra Leone', 'SL', 'SLE', 1),
(188, 'Singapore', 'SG', 'SGP', 4),
(189, 'Slovakia (Slovak Republic)', 'SK', 'SVK', 1),
(190, 'Slovenia', 'SI', 'SVN', 1),
(191, 'Solomon Islands', 'SB', 'SLB', 1),
(192, 'Somalia', 'SO', 'SOM', 1),
(193, 'South Africa', 'ZA', 'ZAF', 1),
(194, 'South Georgia and the South Sandwich Islands', 'GS', 'SGS', 1),
(195, 'Spain', 'ES', 'ESP', 3),
(196, 'Sri Lanka', 'LK', 'LKA', 1),
(197, 'St. Helena', 'SH', 'SHN', 1),
(198, 'St. Pierre and Miquelon', 'PM', 'SPM', 1),
(199, 'Sudan', 'SD', 'SDN', 1),
(200, 'Suriname', 'SR', 'SUR', 1),
(201, 'Svalbard and Jan Mayen Islands', 'SJ', 'SJM', 1),
(202, 'Swaziland', 'SZ', 'SWZ', 1),
(203, 'Sweden', 'SE', 'SWE', 1),
(204, 'Switzerland', 'CH', 'CHE', 1),
(205, 'Syrian Arab Republic', 'SY', 'SYR', 1),
(206, 'Taiwan', 'TW', 'TWN', 1),
(207, 'Tajikistan', 'TJ', 'TJK', 1),
(208, 'Tanzania, United Republic of', 'TZ', 'TZA', 1),
(209, 'Thailand', 'TH', 'THA', 1),
(210, 'Togo', 'TG', 'TGO', 1),
(211, 'Tokelau', 'TK', 'TKL', 1),
(212, 'Tonga', 'TO', 'TON', 1),
(213, 'Trinidad and Tobago', 'TT', 'TTO', 1),
(214, 'Tunisia', 'TN', 'TUN', 1),
(215, 'Turkey', 'TR', 'TUR', 1),
(216, 'Turkmenistan', 'TM', 'TKM', 1),
(217, 'Turks and Caicos Islands', 'TC', 'TCA', 1),
(218, 'Tuvalu', 'TV', 'TUV', 1),
(219, 'Uganda', 'UG', 'UGA', 1),
(220, 'Ukraine', 'UA', 'UKR', 1),
(221, 'United Arab Emirates', 'AE', 'ARE', 1),
(222, 'United Kingdom', 'GB', 'GBR', 1),
(223, 'United States', 'US', 'USA', 2),
(224, 'United States Minor Outlying Islands', 'UM', 'UMI', 1),
(225, 'Uruguay', 'UY', 'URY', 1),
(226, 'Uzbekistan', 'UZ', 'UZB', 1),
(227, 'Vanuatu', 'VU', 'VUT', 1),
(228, 'Vatican City State (Holy See)', 'VA', 'VAT', 1),
(229, 'Venezuela', 'VE', 'VEN', 1),
(230, 'Viet Nam', 'VN', 'VNM', 1),
(231, 'Virgin Islands (British)', 'VG', 'VGB', 1),
(232, 'Virgin Islands (U.S.)', 'VI', 'VIR', 1),
(233, 'Wallis and Futuna Islands', 'WF', 'WLF', 1),
(234, 'Western Sahara', 'EH', 'ESH', 1),
(235, 'Yemen', 'YE', 'YEM', 1),
(236, 'Yugoslavia', 'YU', 'YUG', 1),
(237, 'Zaire', 'ZR', 'ZAR', 1),
(238, 'Zambia', 'ZM', 'ZMB', 1),
(239, 'Zimbabwe', 'ZW', 'ZWE', 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `currencies`
-- 

CREATE TABLE `currencies` (
  `currencies_id` int(11) NOT NULL auto_increment,
  `title` varchar(32) NOT NULL default '',
  `code` char(3) NOT NULL default '',
  `symbol_left` varchar(12) default NULL,
  `symbol_right` varchar(12) default NULL,
  `decimal_point` char(1) default NULL,
  `thousands_point` char(1) default NULL,
  `decimal_places` char(1) default NULL,
  `value` float(13,8) default NULL,
  `last_updated` datetime default NULL,
  PRIMARY KEY  (`currencies_id`)
) TYPE=MyISAM AUTO_INCREMENT=3 ;

-- 
-- Dumping data for table `currencies`
-- 

INSERT INTO `currencies` (`currencies_id`, `title`, `code`, `symbol_left`, `symbol_right`, `decimal_point`, `thousands_point`, `decimal_places`, `value`, `last_updated`) VALUES (1, 'US Dollar', 'USD', '$', '', '.', ',', '2', 1.23730004, '2006-04-24 21:47:21'),
(2, 'Euro', 'EUR', '', 'EUR', '.', ',', '2', 1.00000000, '2006-04-24 21:47:21');

-- --------------------------------------------------------

-- 
-- Table structure for table `customers`
-- 

CREATE TABLE `customers` (
  `customers_id` int(11) NOT NULL auto_increment,
  `purchased_without_account` tinyint(1) unsigned NOT NULL default '0',
  `customers_gender` char(1) NOT NULL default '',
  `customers_firstname` varchar(32) NOT NULL default '',
  `customers_lastname` varchar(32) NOT NULL default '',
  `customers_dob` datetime NOT NULL default '0000-00-00 00:00:00',
  `customers_email_address` varchar(96) NOT NULL default '',
  `customers_default_address_id` int(11) default NULL,
  `customers_telephone` varchar(32) NOT NULL default '',
  `customers_fax` varchar(32) default NULL,
  `customers_password` varchar(40) NOT NULL default '',
  `customers_newsletter` char(1) default NULL,
  PRIMARY KEY  (`customers_id`),
  KEY `purchased_without_account` (`purchased_without_account`)
) TYPE=MyISAM AUTO_INCREMENT=6 ;

-- 
-- Dumping data for table `customers`
-- 

INSERT INTO `customers` (`customers_id`, `purchased_without_account`, `customers_gender`, `customers_firstname`, `customers_lastname`, `customers_dob`, `customers_email_address`, `customers_default_address_id`, `customers_telephone`, `customers_fax`, `customers_password`, `customers_newsletter`) VALUES (1, 0, 'm', 'John', 'doe', '2001-01-01 00:00:00', 'root@localhost', 1, '12345', '', 'd95e8fa7f20a009372eb3477473fcd34:1c', '0'),
(2, 0, 'm', 'dieter', 'kartoffelkopf', '1988-05-18 00:00:00', 'd.kartoffelkopf@quad341.com', 2, '8154850006', '', '533ed730037d3a8e3971d8462fe4876c:d0', '1'),
(3, 0, 'm', 'Marco', 'Sijbesma', '1985-05-07 00:00:00', 'marco@di.fm', 3, '+31646046551', '', '4c24a7de612cb2abfc9c6c2da0baeb50:06', ''),
(4, 1, 'm', 'Junk', 'Info', '1970-01-01 00:00:00', 'junk@quad341.com', 4, '800-586-5333', '', '6364d3f0f495b6ab9dcf8d3b5c6e0b01:32', '');

-- --------------------------------------------------------

-- 
-- Table structure for table `customers_basket`
-- 

CREATE TABLE `customers_basket` (
  `customers_basket_id` int(11) NOT NULL auto_increment,
  `customers_id` int(11) NOT NULL default '0',
  `products_id` tinytext NOT NULL,
  `customers_basket_quantity` int(2) NOT NULL default '0',
  `final_price` decimal(15,4) default NULL,
  `customers_basket_date_added` varchar(8) default NULL,
  PRIMARY KEY  (`customers_basket_id`)
) TYPE=MyISAM AUTO_INCREMENT=22 ;

-- 
-- Dumping data for table `customers_basket`
-- 

INSERT INTO `customers_basket` (`customers_basket_id`, `customers_id`, `products_id`, `customers_basket_quantity`, `final_price`, `customers_basket_date_added`) VALUES (20, 2, '28', 1, NULL, '20060502'),
(8, 4, '30{6}15', 1, NULL, '20060428'),
(21, 3, '31', 1, NULL, '20060502');

-- --------------------------------------------------------

-- 
-- Table structure for table `customers_basket_attributes`
-- 

CREATE TABLE `customers_basket_attributes` (
  `customers_basket_attributes_id` int(11) NOT NULL auto_increment,
  `customers_id` int(11) NOT NULL default '0',
  `products_id` tinytext NOT NULL,
  `products_options_id` int(11) NOT NULL default '0',
  `products_options_value_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`customers_basket_attributes_id`)
) TYPE=MyISAM AUTO_INCREMENT=17 ;

-- 
-- Dumping data for table `customers_basket_attributes`
-- 

INSERT INTO `customers_basket_attributes` (`customers_basket_attributes_id`, `customers_id`, `products_id`, `products_options_id`, `products_options_value_id`) VALUES (5, 4, '30{6}15', 6, 15);

-- --------------------------------------------------------

-- 
-- Table structure for table `customers_info`
-- 

CREATE TABLE `customers_info` (
  `customers_info_id` int(11) NOT NULL default '0',
  `customers_info_date_of_last_logon` datetime default NULL,
  `customers_info_number_of_logons` int(5) default NULL,
  `customers_info_date_account_created` datetime default NULL,
  `customers_info_date_account_last_modified` datetime default NULL,
  `global_product_notifications` int(1) default '0',
  PRIMARY KEY  (`customers_info_id`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `customers_info`
-- 

INSERT INTO `customers_info` (`customers_info_id`, `customers_info_date_of_last_logon`, `customers_info_number_of_logons`, `customers_info_date_account_created`, `customers_info_date_account_last_modified`, `global_product_notifications`) VALUES (1, NULL, 0, '2006-04-24 21:02:32', NULL, 0),
(2, '2006-05-02 07:11:33', 5, '2006-04-24 21:52:39', NULL, 0),
(3, '2006-05-02 16:54:41', 1, '2006-04-26 11:10:15', NULL, 0),
(4, NULL, 0, '2006-04-28 23:08:47', NULL, 0);

-- --------------------------------------------------------

-- 
-- Table structure for table `events_calendar`
-- 

CREATE TABLE `events_calendar` (
  `event_id` int(3) NOT NULL auto_increment,
  `language_id` int(11) NOT NULL default '1',
  `start_date` date NOT NULL default '0000-00-00',
  `end_date` date default NULL,
  `title` varchar(255) default NULL,
  `event_image` varchar(64) default NULL,
  `link` varchar(255) default NULL,
  `OSC_link` varchar(255) default NULL,
  `description` text,
  `date_added` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`event_id`,`language_id`)
) TYPE=MyISAM AUTO_INCREMENT=5 ;

-- 
-- Dumping data for table `events_calendar`
-- 

INSERT INTO `events_calendar` (`event_id`, `language_id`, `start_date`, `end_date`, `title`, `event_image`, `link`, `OSC_link`, `description`, `date_added`) VALUES (2, 2, '2006-04-30', '0000-00-00', 'Freigabe von S. Zeilenga - In Medias Res', '', '', '<a href=http://shop.quad341.com/product_info.php?products_id=31>S. Zeilenga - In Medias Res</a>', 'Die folgende hervorragende Freigabe von S. Zeilenga versendet heute!  Stellen Sie Sie erhalten Ihren Auftrag innen frh, weil er aus schneller, als gerade verkaufen konnte Sie denken sicher!', '2006-04-27 22:16:05'),
(2, 1, '2006-04-30', '0000-00-00', 'Release of S. Zeilenga - In Medias Res', '', '', '<a href=http://shop.quad341.com/product_info.php?products_id=31>S. Zeilenga - In Medias Res</a>', 'The next monumental release from S. Zeilenga will ship today! Ensure you get your order in early because it might just sell out faster than you think!', '2006-04-27 22:16:05'),
(2, 3, '2006-04-30', '0000-00-00', 'Lanzamiento de S. Zeilenga - In Medias Res', '', '', '<a href=http://shop.quad341.com/product_info.php?products_id=31>S. Zeilenga - In Medias Res</a>', 'El lanzamiento monumental siguiente de S. Zeilenga enviar hoy!  Asegrele consiguen su orden adentro temprana porque puede ser que apenas venda fuera de ms rpidamente que usted piensan!', '2006-04-27 22:16:05'),
(3, 1, '2006-05-10', '0000-00-00', 'Test', '', '', '<a href=http://shop.quad341.com/product_info.php?products_id=32>Cardamar - Globespinning</a>', 'Test', '2006-05-02 21:35:44'),
(3, 2, '2006-05-10', '0000-00-00', 'Test', '', '', '<a href=http://shop.quad341.com/product_info.php?products_id=32>Cardamar - Globespinning</a>', 'Test', '2006-05-02 21:35:44'),
(3, 3, '2006-05-10', '0000-00-00', 'Test', '', '', '<a href=http://shop.quad341.com/product_info.php?products_id=32>Cardamar - Globespinning</a>', 'Test', '2006-05-02 21:35:44'),
(4, 1, '2006-05-10', '0000-00-00', 'Test 2', '', '', '', 'etc', '2006-05-02 21:51:37'),
(4, 2, '2006-05-10', '0000-00-00', 'Test 2', '', '', '', '', '2006-05-02 21:51:37'),
(4, 3, '2006-05-10', '0000-00-00', 'Test 2', '', '', '', '', '2006-05-02 21:51:37');

-- --------------------------------------------------------

-- 
-- Table structure for table `geo_zones`
-- 

CREATE TABLE `geo_zones` (
  `geo_zone_id` int(11) NOT NULL auto_increment,
  `geo_zone_name` varchar(32) NOT NULL default '',
  `geo_zone_description` varchar(255) NOT NULL default '',
  `last_modified` datetime default NULL,
  `date_added` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`geo_zone_id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `geo_zones`
-- 

INSERT INTO `geo_zones` (`geo_zone_id`, `geo_zone_name`, `geo_zone_description`, `last_modified`, `date_added`) VALUES (1, 'Florida', 'Florida local sales tax zone', NULL, '2006-04-24 21:02:32');

-- --------------------------------------------------------

-- 
-- Table structure for table `languages`
-- 

CREATE TABLE `languages` (
  `languages_id` int(11) NOT NULL auto_increment,
  `name` varchar(32) NOT NULL default '',
  `code` char(2) NOT NULL default '',
  `image` varchar(64) default NULL,
  `directory` varchar(32) default NULL,
  `sort_order` int(3) default NULL,
  PRIMARY KEY  (`languages_id`),
  KEY `IDX_LANGUAGES_NAME` (`name`)
) TYPE=MyISAM AUTO_INCREMENT=4 ;

-- 
-- Dumping data for table `languages`
-- 

INSERT INTO `languages` (`languages_id`, `name`, `code`, `image`, `directory`, `sort_order`) VALUES (1, 'English', 'en', 'icon.gif', 'english', 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `manufacturers`
-- 

CREATE TABLE `manufacturers` (
  `manufacturers_id` int(11) NOT NULL auto_increment,
  `manufacturers_name` varchar(32) NOT NULL default '',
  `manufacturers_image` varchar(64) default NULL,
  `date_added` datetime default NULL,
  `last_modified` datetime default NULL,
  PRIMARY KEY  (`manufacturers_id`),
  KEY `IDX_MANUFACTURERS_NAME` (`manufacturers_name`)
) TYPE=MyISAM AUTO_INCREMENT=11 ;

-- 
-- Dumping data for table `manufacturers`
-- 

INSERT INTO `manufacturers` (`manufacturers_id`, `manufacturers_name`, `manufacturers_image`, `date_added`, `last_modified`) VALUES (10, 'Cardamar Music', 'steamthumb.jpg', '2006-04-24 21:43:49', NULL);

-- --------------------------------------------------------

-- 
-- Table structure for table `manufacturers_info`
-- 

CREATE TABLE `manufacturers_info` (
  `manufacturers_id` int(11) NOT NULL default '0',
  `languages_id` int(11) NOT NULL default '0',
  `manufacturers_url` varchar(255) NOT NULL default '',
  `url_clicked` int(5) NOT NULL default '0',
  `date_last_click` datetime default NULL,
  PRIMARY KEY  (`manufacturers_id`,`languages_id`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `manufacturers_info`
-- 

INSERT INTO `manufacturers_info` (`manufacturers_id`, `languages_id`, `manufacturers_url`, `url_clicked`, `date_last_click`) VALUES (10, 1, 'http://www.cardamar.com', 0, NULL);

-- --------------------------------------------------------

-- 
-- Table structure for table `newsletters`
-- 

CREATE TABLE `newsletters` (
  `newsletters_id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `content` text NOT NULL,
  `module` varchar(255) NOT NULL default '',
  `date_added` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_sent` datetime default NULL,
  `status` int(1) default NULL,
  `locked` int(1) default '0',
  PRIMARY KEY  (`newsletters_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `newsletters`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `orders`
-- 

CREATE TABLE `orders` (
  `orders_id` int(11) NOT NULL auto_increment,
  `customers_id` int(11) NOT NULL default '0',
  `customers_name` varchar(64) NOT NULL default '',
  `customers_company` varchar(32) default NULL,
  `customers_street_address` varchar(64) NOT NULL default '',
  `customers_suburb` varchar(32) default NULL,
  `customers_city` varchar(32) NOT NULL default '',
  `customers_postcode` varchar(10) NOT NULL default '',
  `customers_state` varchar(32) default NULL,
  `customers_country` varchar(32) NOT NULL default '',
  `customers_telephone` varchar(32) NOT NULL default '',
  `customers_email_address` varchar(96) NOT NULL default '',
  `customers_address_format_id` int(5) NOT NULL default '0',
  `delivery_name` varchar(64) NOT NULL default '',
  `delivery_company` varchar(32) default NULL,
  `delivery_street_address` varchar(64) NOT NULL default '',
  `delivery_suburb` varchar(32) default NULL,
  `delivery_city` varchar(32) NOT NULL default '',
  `delivery_postcode` varchar(10) NOT NULL default '',
  `delivery_state` varchar(32) default NULL,
  `delivery_country` varchar(32) NOT NULL default '',
  `delivery_address_format_id` int(5) NOT NULL default '0',
  `billing_name` varchar(64) NOT NULL default '',
  `billing_company` varchar(32) default NULL,
  `billing_street_address` varchar(64) NOT NULL default '',
  `billing_suburb` varchar(32) default NULL,
  `billing_city` varchar(32) NOT NULL default '',
  `billing_postcode` varchar(10) NOT NULL default '',
  `billing_state` varchar(32) default NULL,
  `billing_country` varchar(32) NOT NULL default '',
  `billing_address_format_id` int(5) NOT NULL default '0',
  `payment_method` varchar(32) NOT NULL default '',
  `cc_type` varchar(20) default NULL,
  `cc_owner` varchar(64) default NULL,
  `cc_number` varchar(32) default NULL,
  `cc_expires` varchar(4) default NULL,
  `last_modified` datetime default NULL,
  `date_purchased` datetime default NULL,
  `orders_status` int(5) NOT NULL default '0',
  `orders_date_finished` datetime default NULL,
  `currency` char(3) default NULL,
  `currency_value` decimal(14,6) default NULL,
  `purchased_without_account` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`orders_id`)
) TYPE=MyISAM AUTO_INCREMENT=28 ;

-- 
-- Dumping data for table `orders`
-- 

INSERT INTO `orders` (`orders_id`, `customers_id`, `customers_name`, `customers_company`, `customers_street_address`, `customers_suburb`, `customers_city`, `customers_postcode`, `customers_state`, `customers_country`, `customers_telephone`, `customers_email_address`, `customers_address_format_id`, `delivery_name`, `delivery_company`, `delivery_street_address`, `delivery_suburb`, `delivery_city`, `delivery_postcode`, `delivery_state`, `delivery_country`, `delivery_address_format_id`, `billing_name`, `billing_company`, `billing_street_address`, `billing_suburb`, `billing_city`, `billing_postcode`, `billing_state`, `billing_country`, `billing_address_format_id`, `payment_method`, `cc_type`, `cc_owner`, `cc_number`, `cc_expires`, `last_modified`, `date_purchased`, `orders_status`, `orders_date_finished`, `currency`, `currency_value`, `purchased_without_account`) VALUES (1, 3, 'Marco Sijbesma', 'Cardamar Music', 'Weegbree 30', '', 'Sneek', '8607DS', 'Friesland', 'Netherlands', '+31646046551', 'marco@di.fm', 1, 'Marco Sijbesma', 'Cardamar Music', 'Weegbree 30', '', 'Sneek', '8607DS', 'Friesland', 'Netherlands', 1, 'Marco Sijbesma', 'Cardamar Music', 'Weegbree 30', '', 'Sneek', '8607DS', 'Friesland', 'Netherlands', 1, 'Bank Transfer Payment', '', '', '', '', NULL, '2006-04-26 11:25:51', 1, NULL, 'EUR', 1.000000, 0),
(2, 2, 'dieter kartoffelkopf', '', '13006 W. 185th St', '', 'Mokena', '60448', 'Illinois', 'United States', '8154850006', 'd.kartoffelkopf@quad341.com', 2, 'dieter kartoffelkopf', '', '13006 W. 185th St', '', 'Mokena', '60448', 'Illinois', 'United States', 2, 'dieter kartoffelkopf', '', '13006 W. 185th St', '', 'Mokena', '60448', 'Illinois', 'United States', 2, 'The WebMakers Corner FREE CHARGE', '', '', '', '', '2006-04-27 14:59:50', '2006-04-27 14:52:48', 3, NULL, 'EUR', 1.000000, 0),
(3, 2, 'dieter kartoffelkopf', '', '13006 W. 185th St', '', 'Mokena', '60448', 'Illinois', 'United States', '8154850006', 'd.kartoffelkopf@quad341.com', 2, '', '', '', '', '', '', '', '', 0, 'dieter kartoffelkopf', '', '13006 W. 185th St', '', 'Mokena', '60448', 'Illinois', 'United States', 2, 'The WebMakers Corner FREE CHARGE', '', '', '', '', '2006-04-27 15:04:09', '2006-04-27 15:00:54', 2, NULL, 'EUR', 1.000000, 0),
(4, 2, 'dieter kartoffelkopf', '', '13006 W. 185th St', '', 'Mokena', '60448', 'Illinois', 'United States', '8154850006', 'd.kartoffelkopf@quad341.com', 2, '', '', '', '', '', '', '', '', 0, 'dieter kartoffelkopf', '', '13006 W. 185th St', '', 'Mokena', '60448', 'Illinois', 'United States', 2, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-04-27 19:01:54', 3, NULL, 'EUR', 1.000000, 0),
(5, 5, 'Guest Person', '', 'Nowhere', '', 'Noville', '58653', 'Alaska', 'United States', '800-555-5865', 'guest@quad341.com', 2, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-04-28 23:47:33', 3, NULL, 'EUR', 1.000000, 1),
(6, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-04-29 00:14:37', 3, NULL, 'EUR', 1.000000, 1),
(7, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-04-29 00:15:18', 3, NULL, 'EUR', 1.000000, 1),
(8, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-04-29 00:33:42', 3, NULL, 'EUR', 1.000000, 1),
(9, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-04-29 00:34:47', 3, NULL, 'EUR', 1.000000, 1),
(10, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-04-29 00:37:26', 3, NULL, 'EUR', 1.000000, 1),
(11, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-04-29 00:38:55', 3, NULL, 'EUR', 1.000000, 1),
(12, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-04-29 00:54:43', 3, NULL, 'EUR', 1.000000, 1),
(13, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-04-29 17:22:29', 3, NULL, 'EUR', 1.000000, 1),
(14, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-04-30 21:27:53', 3, NULL, 'EUR', 1.000000, 0),
(15, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-05-01 19:59:18', 3, NULL, 'EUR', 1.000000, 0),
(16, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-05-01 22:00:13', 3, NULL, 'EUR', 1.000000, 0),
(17, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-05-01 22:01:06', 3, NULL, 'EUR', 1.000000, 0),
(18, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-05-01 22:07:10', 3, NULL, 'EUR', 1.000000, 0),
(19, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-05-01 22:18:30', 3, NULL, 'EUR', 1.000000, 1),
(20, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-05-01 22:18:55', 3, NULL, 'EUR', 1.000000, 1),
(21, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-05-01 22:28:43', 3, NULL, 'EUR', 1.000000, 1),
(22, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-05-01 22:31:59', 3, NULL, 'EUR', 1.000000, 1),
(23, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-05-01 22:34:09', 3, NULL, 'EUR', 1.000000, 1),
(24, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-05-01 22:38:35', 3, NULL, 'EUR', 1.000000, 1),
(25, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-05-01 22:44:31', 3, NULL, 'EUR', 1.000000, 1),
(26, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-05-01 22:49:13', 3, NULL, 'EUR', 1.000000, 1),
(27, 5, '', '', '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, '', '', '', '', '', '', '', '', 0, 'The WebMakers Corner FREE CHARGE', '', '', '', '', NULL, '2006-05-01 22:53:04', 3, NULL, 'EUR', 1.000000, 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `orders_products`
-- 

CREATE TABLE `orders_products` (
  `orders_products_id` int(11) NOT NULL auto_increment,
  `orders_id` int(11) NOT NULL default '0',
  `products_id` int(11) NOT NULL default '0',
  `products_model` varchar(12) default NULL,
  `products_name` varchar(64) NOT NULL default '',
  `products_price` decimal(15,4) NOT NULL default '0.0000',
  `final_price` decimal(15,4) NOT NULL default '0.0000',
  `products_tax` decimal(7,4) NOT NULL default '0.0000',
  `products_quantity` int(2) NOT NULL default '0',
  PRIMARY KEY  (`orders_products_id`)
) TYPE=MyISAM AUTO_INCREMENT=28 ;

-- 
-- Dumping data for table `orders_products`
-- 

INSERT INTO `orders_products` (`orders_products_id`, `orders_id`, `products_id`, `products_model`, `products_name`, `products_price`, `final_price`, `products_tax`, `products_quantity`) VALUES (1, 1, 28, 'CARD004', 'The Mirror Formula', 10.0000, 10.0000, 0.0000, 1),
(2, 2, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(3, 3, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(4, 4, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(5, 5, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(6, 6, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(7, 7, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(8, 8, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(9, 9, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(10, 10, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(11, 11, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(12, 12, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(13, 13, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(14, 14, 32, '', 'Cardamar - Globespinning', 0.0000, 0.0000, 0.0000, 1),
(15, 15, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(16, 16, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(17, 17, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(18, 18, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(19, 19, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(20, 20, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(21, 21, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(22, 22, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(23, 23, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(24, 24, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(25, 25, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(26, 26, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1),
(27, 27, 30, 'MARP003', 'S. Zeilenga - Itinerary EP', 0.0000, 0.0000, 0.0000, 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `orders_products_attributes`
-- 

CREATE TABLE `orders_products_attributes` (
  `orders_products_attributes_id` int(11) NOT NULL auto_increment,
  `orders_id` int(11) NOT NULL default '0',
  `orders_products_id` int(11) NOT NULL default '0',
  `products_options` varchar(32) NOT NULL default '',
  `products_options_values` varchar(32) NOT NULL default '',
  `options_values_price` decimal(15,4) NOT NULL default '0.0000',
  `price_prefix` char(1) NOT NULL default '',
  PRIMARY KEY  (`orders_products_attributes_id`)
) TYPE=MyISAM AUTO_INCREMENT=27 ;

-- 
-- Dumping data for table `orders_products_attributes`
-- 

INSERT INTO `orders_products_attributes` (`orders_products_attributes_id`, `orders_id`, `orders_products_id`, `products_options`, `products_options_values`, `options_values_price`, `price_prefix`) VALUES (1, 2, 2, 'Format', 'MP3', 0.0000, '+'),
(2, 3, 3, 'Format', 'MP3', 0.0000, '+'),
(3, 4, 4, 'Format', 'MP3', 0.0000, '+'),
(4, 5, 5, 'Format', 'MP3', 0.0000, '+'),
(5, 6, 6, 'Format', 'MP3', 0.0000, '+'),
(6, 7, 7, 'Format', 'MP3', 0.0000, '+'),
(7, 8, 8, 'Format', 'MP3', 0.0000, '+'),
(8, 9, 9, 'Format', 'MP3', 0.0000, '+'),
(9, 10, 10, 'Format', 'MP3', 0.0000, '+'),
(10, 11, 11, 'Format', 'MP3', 0.0000, '+'),
(11, 12, 12, 'Format', 'MP3', 0.0000, '+'),
(12, 13, 13, 'Format', 'MP3', 0.0000, '+'),
(13, 14, 14, 'Format', 'MP3', 0.0000, '+'),
(14, 15, 15, 'Format', 'MP3', 0.0000, '+'),
(15, 16, 16, 'Format', 'MP3', 0.0000, '+'),
(16, 17, 17, 'Format', 'MP3', 0.0000, '+'),
(17, 18, 18, 'Format', 'MP3', 0.0000, '+'),
(18, 19, 19, 'Format', 'MP3', 0.0000, '+'),
(19, 20, 20, 'Format', 'MP3', 0.0000, '+'),
(20, 21, 21, 'Format', 'MP3', 0.0000, '+'),
(21, 22, 22, 'Format', 'MP3', 0.0000, '+'),
(22, 23, 23, 'Format', 'MP3', 0.0000, '+'),
(23, 24, 24, 'Format', 'MP3', 0.0000, '+'),
(24, 25, 25, 'Format', 'MP3', 0.0000, '+'),
(25, 26, 26, 'Format', 'MP3', 0.0000, '+'),
(26, 27, 27, 'Format', 'MP3', 0.0000, '+');

-- --------------------------------------------------------

-- 
-- Table structure for table `orders_products_download`
-- 

CREATE TABLE `orders_products_download` (
  `orders_products_download_id` int(11) NOT NULL auto_increment,
  `orders_id` int(11) NOT NULL default '0',
  `orders_products_id` int(11) NOT NULL default '0',
  `orders_products_filename` varchar(255) NOT NULL default '',
  `download_maxdays` int(2) NOT NULL default '0',
  `download_count` int(2) NOT NULL default '0',
  PRIMARY KEY  (`orders_products_download_id`)
) TYPE=MyISAM AUTO_INCREMENT=27 ;

-- 
-- Dumping data for table `orders_products_download`
-- 

INSERT INTO `orders_products_download` (`orders_products_download_id`, `orders_id`, `orders_products_id`, `orders_products_filename`, `download_maxdays`, `download_count`) VALUES (1, 2, 2, 'SZeilenga-Itinerary_EP.zip', 0, 499),
(2, 3, 3, 'SZeilenga-Itinerary_EP.zip', 0, 500),
(3, 4, 4, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(4, 5, 5, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(5, 6, 6, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(6, 7, 7, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(7, 8, 8, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(8, 9, 9, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(9, 10, 10, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(10, 11, 11, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(11, 12, 12, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(12, 13, 13, 'SZeilenga-Itinerary_EP.zip', 0, -2),
(13, 14, 14, 'http://cardamar.quad341.com/Globespinning%20-%20mixed%20by%20Cardamar.mp3', 0, -1),
(14, 15, 15, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(15, 16, 16, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(16, 17, 17, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(17, 18, 18, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(18, 19, 19, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(19, 20, 20, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(20, 21, 21, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(21, 22, 22, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(22, 23, 23, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(23, 24, 24, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(24, 25, 25, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(25, 26, 26, 'SZeilenga-Itinerary_EP.zip', 0, -2),
(26, 27, 27, 'SZeilenga-Itinerary_EP.zip', 0, -2);

-- --------------------------------------------------------

-- 
-- Table structure for table `orders_status`
-- 

CREATE TABLE `orders_status` (
  `orders_status_id` int(11) NOT NULL default '0',
  `language_id` int(11) NOT NULL default '1',
  `orders_status_name` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`orders_status_id`,`language_id`),
  KEY `idx_orders_status_name` (`orders_status_name`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `orders_status`
-- 

INSERT INTO `orders_status` (`orders_status_id`, `language_id`, `orders_status_name`) VALUES (1, 1, 'Pending'),
(2, 1, 'Processing'),
(3, 1, 'Delivered');

-- --------------------------------------------------------

-- 
-- Table structure for table `orders_status_history`
-- 

CREATE TABLE `orders_status_history` (
  `orders_status_history_id` int(11) NOT NULL auto_increment,
  `orders_id` int(11) NOT NULL default '0',
  `orders_status_id` int(5) NOT NULL default '0',
  `date_added` datetime NOT NULL default '0000-00-00 00:00:00',
  `customer_notified` int(1) default '0',
  `comments` text,
  PRIMARY KEY  (`orders_status_history_id`)
) TYPE=MyISAM AUTO_INCREMENT=30 ;

-- 
-- Dumping data for table `orders_status_history`
-- 

INSERT INTO `orders_status_history` (`orders_status_history_id`, `orders_id`, `orders_status_id`, `date_added`, `customer_notified`, `comments`) VALUES (1, 1, 1, '2006-04-26 11:25:51', 1, ''),
(2, 2, 1, '2006-04-27 14:52:48', 1, ''),
(3, 2, 3, '2006-04-27 14:59:50', 1, ''),
(4, 3, 1, '2006-04-27 15:00:54', 1, ''),
(5, 3, 2, '2006-04-27 15:04:09', 1, ''),
(6, 4, 1, '2006-04-27 19:01:54', 1, ''),
(7, 5, 1, '2006-04-28 23:47:33', 1, ''),
(8, 6, 1, '2006-04-29 00:14:37', 1, ''),
(9, 7, 1, '2006-04-29 00:15:18', 1, ''),
(10, 8, 1, '2006-04-29 00:33:42', 1, ''),
(11, 9, 1, '2006-04-29 00:34:47', 1, ''),
(12, 10, 1, '2006-04-29 00:37:26', 1, ''),
(13, 11, 1, '2006-04-29 00:38:55', 1, ''),
(14, 12, 1, '2006-04-29 00:54:43', 1, ''),
(15, 13, 1, '2006-04-29 17:22:29', 1, ''),
(16, 14, 1, '2006-04-30 21:27:53', 1, ''),
(17, 15, 1, '2006-05-01 19:59:18', 1, ''),
(18, 16, 1, '2006-05-01 22:00:13', 1, ''),
(19, 17, 1, '2006-05-01 22:01:06', 1, ''),
(20, 18, 1, '2006-05-01 22:07:10', 1, ''),
(21, 19, 1, '2006-05-01 22:18:30', 1, ''),
(22, 20, 1, '2006-05-01 22:18:55', 1, ''),
(23, 21, 1, '2006-05-01 22:28:43', 1, ''),
(24, 22, 1, '2006-05-01 22:31:59', 1, ''),
(25, 23, 1, '2006-05-01 22:34:09', 1, ''),
(26, 24, 1, '2006-05-01 22:38:35', 1, ''),
(27, 25, 1, '2006-05-01 22:44:31', 1, ''),
(28, 26, 1, '2006-05-01 22:49:13', 1, ''),
(29, 27, 1, '2006-05-01 22:53:04', 1, '');

-- --------------------------------------------------------

-- 
-- Table structure for table `orders_total`
-- 

CREATE TABLE `orders_total` (
  `orders_total_id` int(10) unsigned NOT NULL auto_increment,
  `orders_id` int(11) NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `text` varchar(255) NOT NULL default '',
  `value` decimal(15,4) NOT NULL default '0.0000',
  `class` varchar(32) NOT NULL default '',
  `sort_order` int(11) NOT NULL default '0',
  PRIMARY KEY  (`orders_total_id`),
  KEY `idx_orders_total_orders_id` (`orders_id`)
) TYPE=MyISAM AUTO_INCREMENT=57 ;

-- 
-- Dumping data for table `orders_total`
-- 

INSERT INTO `orders_total` (`orders_total_id`, `orders_id`, `title`, `text`, `value`, `class`, `sort_order`) VALUES (1, 1, 'Sub-Total:', '10.00EUR', 10.0000, 'ot_subtotal', 1),
(2, 1, 'Flat Rate (Best Way):', '5.00EUR', 5.0000, 'ot_shipping', 2),
(3, 1, 'Total:', '<b>15.00EUR</b>', 15.0000, 'ot_total', 4),
(4, 2, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(5, 2, 'FREE SHIPPING! (<FONT COLOR=FF0000><B>Free Shipping Only</B></FONT>):', '0.00EUR', 0.0000, 'ot_shipping', 2),
(6, 2, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(7, 3, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(8, 3, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(9, 4, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(10, 4, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(11, 5, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(12, 5, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(13, 6, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(14, 6, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(15, 7, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(16, 7, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(17, 8, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(18, 8, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(19, 9, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(20, 9, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(21, 10, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(22, 10, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(23, 11, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(24, 11, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(25, 12, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(26, 12, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(27, 13, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(28, 13, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(29, 14, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(30, 14, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(31, 15, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(32, 15, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(33, 16, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(34, 16, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(35, 17, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(36, 17, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(37, 18, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(38, 18, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(39, 19, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(40, 19, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(41, 20, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(42, 20, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(43, 21, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(44, 21, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(45, 22, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(46, 22, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(47, 23, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(48, 23, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(49, 24, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(50, 24, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(51, 25, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(52, 25, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(53, 26, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(54, 26, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4),
(55, 27, 'Sub-Total:', '0.00EUR', 0.0000, 'ot_subtotal', 1),
(56, 27, 'Total:', '<b>0.00EUR</b>', 0.0000, 'ot_total', 4);

-- --------------------------------------------------------

-- 
-- Table structure for table `products`
-- 

CREATE TABLE `products` (
  `products_id` int(11) NOT NULL auto_increment,
  `products_quantity` int(4) NOT NULL default '0',
  `products_model` varchar(12) default NULL,
  `products_image` varchar(64) default NULL,
  `products_price` decimal(15,4) NOT NULL default '0.0000',
  `products_date_added` datetime NOT NULL default '0000-00-00 00:00:00',
  `products_last_modified` datetime default NULL,
  `products_date_available` datetime default NULL,
  `products_weight` decimal(5,2) NOT NULL default '0.00',
  `products_status` tinyint(1) NOT NULL default '0',
  `products_tax_class_id` int(11) NOT NULL default '0',
  `manufacturers_id` int(11) default NULL,
  `products_ordered` int(11) NOT NULL default '0',
  PRIMARY KEY  (`products_id`),
  KEY `idx_products_date_added` (`products_date_added`)
) TYPE=MyISAM AUTO_INCREMENT=33 ;

-- 
-- Dumping data for table `products`
-- 

INSERT INTO `products` (`products_id`, `products_quantity`, `products_model`, `products_image`, `products_price`, `products_date_added`, `products_last_modified`, `products_date_available`, `products_weight`, `products_status`, `products_tax_class_id`, `manufacturers_id`, `products_ordered`) VALUES (28, 24, 'CARD004', 'mirrorformulathumb.jpg', 10.0000, '2006-04-24 21:39:34', '2006-04-24 21:49:28', NULL, 0.00, 1, 0, 0, 1),
(29, 0, 'CARD001', 'steamthumb.jpg', 10.0000, '2006-04-24 21:42:47', '2006-04-26 11:29:20', NULL, 0.00, 1, 0, 0, 0),
(30, 1000, 'MARP003', 'MARP003.jpg', 0.0000, '2006-04-27 12:32:26', '2006-04-27 14:37:58', NULL, 0.00, 1, 0, 10, 25),
(31, 300, 'CARD005', 'mediasthumb.jpg', 10.0000, '2006-04-27 22:00:49', '2006-04-28 13:16:25', '2006-05-31 00:00:00', 1.00, 1, 0, 10, 0),
(32, 0, '', NULL, 0.0000, '2006-04-30 21:26:46', '2006-04-30 21:37:18', NULL, 0.00, 1, 0, 0, 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `products_attributes`
-- 

CREATE TABLE `products_attributes` (
  `products_attributes_id` int(11) NOT NULL auto_increment,
  `products_id` int(11) NOT NULL default '0',
  `options_id` int(11) NOT NULL default '0',
  `options_values_id` int(11) NOT NULL default '0',
  `options_values_price` decimal(15,4) NOT NULL default '0.0000',
  `price_prefix` char(1) NOT NULL default '',
  PRIMARY KEY  (`products_attributes_id`)
) TYPE=MyISAM AUTO_INCREMENT=30 ;

-- 
-- Dumping data for table `products_attributes`
-- 

INSERT INTO `products_attributes` (`products_attributes_id`, `products_id`, `options_id`, `options_values_id`, `options_values_price`, `price_prefix`) VALUES (29, 32, 6, 15, 0.0000, '+'),
(28, 30, 6, 15, 0.0000, '+');

-- --------------------------------------------------------

-- 
-- Table structure for table `products_attributes_download`
-- 

CREATE TABLE `products_attributes_download` (
  `products_attributes_id` int(11) NOT NULL default '0',
  `products_attributes_filename` varchar(255) NOT NULL default '',
  `products_attributes_maxdays` int(2) default '0',
  `products_attributes_maxcount` int(2) default '0',
  PRIMARY KEY  (`products_attributes_id`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `products_attributes_download`
-- 

INSERT INTO `products_attributes_download` (`products_attributes_id`, `products_attributes_filename`, `products_attributes_maxdays`, `products_attributes_maxcount`) VALUES (26, 'unreal.zip', 7, 3),
(28, 'SZeilenga-Itinerary_EP.zip', 0, -1),
(29, 'http://cardamar.quad341.com/Globespinning%20-%20mixed%20by%20Cardamar.mp3', 0, -1);

-- --------------------------------------------------------

-- 
-- Table structure for table `products_description`
-- 

CREATE TABLE `products_description` (
  `products_id` int(11) NOT NULL auto_increment,
  `language_id` int(11) NOT NULL default '1',
  `products_name` varchar(64) NOT NULL default '',
  `products_description` text,
  `products_url` varchar(255) default NULL,
  `products_viewed` int(5) default '0',
  PRIMARY KEY  (`products_id`,`language_id`),
  KEY `products_name` (`products_name`)
) TYPE=MyISAM AUTO_INCREMENT=33 ;

-- 
-- Dumping data for table `products_description`
-- 

INSERT INTO `products_description` (`products_id`, `language_id`, `products_name`, `products_description`, `products_url`, `products_viewed`) VALUES (28, 1, 'The Mirror Formula', 'CD by Xerxes. Awesome. You should buy it.', '', 12),
(29, 1, 'Cardamar - Steam', 'First album from Cardamar. Don''t you wish you bought it.', '', 8),
(30, 1, 'S. Zeilenga - Itinerary EP', '<p>S. Zeilenga takes you on a trip through nature. We take off at dawn, along with our minimal yet uplifting beats. Also, we wouldn''t want to forget our relaxing melodies while we''re chilling along the 30th parallel. And after almost 30 minutes of pure bliss, you really ask yourself... Is The Journey Ever Really Over? Don''t miss this release!</p>\r\n<p>\r\nTrack Listing:<br/>\r\n1. The Journey Begins At Dawn<br/>\r\n2. Along The 30th Parallel<br/>\r\n3. One Thousand Landscapes<br/>\r\n4. Where There Are No Roads<br/>\r\n5. Is The Journey Ever Really Over?<br/>\r\n</p>\r\nTotal playtime: 28 minutes and 38 seconds', '', 36),
(31, 1, 'S. Zeilenga - In Medias Res', '<p>The next installment from none other than S. Zeilenga. This new work is a mastery of all forms of chill out and truly takes you on a journey. Once again, his travelling spirit inspired him to make an excellent journey through soundscapes and beats. Whether to just listen or to be taken to an <em>uncharted continent</em>, you do not want to miss this one!</p>\r\n<p>\r\nTrack listing:\r\n<ol>\r\n<li>awake in a strange land</li>\r\n<li>uncharted continent</li>\r\n<li>in medias res</li>\r\n<li>{ iona 1 }</li>\r\n<li>the secret place</li>\r\n<li>where there are no roads</li>\r\n<li>constellations</li>\r\n<li>{ iona 2 }</li>\r\n<li>natural harbor</li>\r\n<li>along the 30th parallel</li>\r\n<li>enraptured</li>\r\n</ol>\r\n<strong>Total play time: 68 minutes and 32 seconds</strong>', '', 4),
(32, 1, 'Cardamar - Globespinning', 'Cardamar spins the globe in this mix! You can find different styles of Chillout throughout this trip, from Ambient to slightly upbeat tunes. Great for floating away after a long day of working hard!<br/>\r\n<br/>\r\n1. Sophie &amp; Ives - Clouds (Storm Clouds) <br/>\r\n2. Synaesthesia - Descartes <br/>\r\n3. Kangaroo Moon - Underwater <br/>\r\n4. Cell - Lord Of Silk <br/>\r\n5. Solar Fields - The Sight Is White <br/>\r\n6. Synaesthesia - New Horizons <br/>\r\n7. <a href="http://www.cardamar.com/marp003.htm">S. Zeilenga - One Thousand Landscapes</a> <br/>\r\n                8. Jon Hopkins - Circle <br/>\r\n\r\n                9. Pete Namlook &amp; New Composers - Russian Spring (Part VI) <br/>\r\n                10. Solar Fields - Monogram<br/>\r\n                11. Solar Fields - Blue Moon Station (Album Version)<br/>\r\n\r\n<br/>\r\n<strong>Total playtime: 65 minutes and 56 seconds</strong><br/>\r\n<a href="http://cardamar.quad341.com/Globespinning%20-%20mixed%20by%20Cardamar.mp3" title = "Globespinning by Cardamar">Click Here to download this mix</a>', '', 2);

-- --------------------------------------------------------

-- 
-- Table structure for table `products_notifications`
-- 

CREATE TABLE `products_notifications` (
  `products_id` int(11) NOT NULL default '0',
  `customers_id` int(11) NOT NULL default '0',
  `date_added` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`products_id`,`customers_id`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `products_notifications`
-- 

INSERT INTO `products_notifications` (`products_id`, `customers_id`, `date_added`) VALUES (28, 3, '2006-04-26 11:26:00'),
(0, 2, '2006-04-27 14:52:58');

-- --------------------------------------------------------

-- 
-- Table structure for table `products_options`
-- 

CREATE TABLE `products_options` (
  `products_options_id` int(11) NOT NULL default '0',
  `language_id` int(11) NOT NULL default '1',
  `products_options_name` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`products_options_id`,`language_id`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `products_options`
-- 

INSERT INTO `products_options` (`products_options_id`, `language_id`, `products_options_name`) VALUES (1, 1, 'Color'),
(2, 1, 'Size'),
(3, 1, 'Model'),
(4, 1, 'Memory'),
(5, 1, 'Version'),
(6, 1, 'Format');

-- --------------------------------------------------------

-- 
-- Table structure for table `products_options_values`
-- 

CREATE TABLE `products_options_values` (
  `products_options_values_id` int(11) NOT NULL default '0',
  `language_id` int(11) NOT NULL default '1',
  `products_options_values_name` varchar(64) NOT NULL default '',
  PRIMARY KEY  (`products_options_values_id`,`language_id`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `products_options_values`
-- 

INSERT INTO `products_options_values` (`products_options_values_id`, `language_id`, `products_options_values_name`) VALUES (6, 1, 'Premium'),
(7, 1, 'Deluxe'),
(8, 1, 'PS/2'),
(9, 1, 'USB'),
(14, 1, 'CD'),
(15, 1, 'MP3');

-- --------------------------------------------------------

-- 
-- Table structure for table `products_options_values_to_products_options`
-- 

CREATE TABLE `products_options_values_to_products_options` (
  `products_options_values_to_products_options_id` int(11) NOT NULL auto_increment,
  `products_options_id` int(11) NOT NULL default '0',
  `products_options_values_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`products_options_values_to_products_options_id`)
) TYPE=MyISAM AUTO_INCREMENT=16 ;

-- 
-- Dumping data for table `products_options_values_to_products_options`
-- 

INSERT INTO `products_options_values_to_products_options` (`products_options_values_to_products_options_id`, `products_options_id`, `products_options_values_id`) VALUES (6, 3, 6),
(7, 3, 7),
(8, 3, 8),
(9, 3, 9),
(14, 6, 14),
(15, 6, 15);

-- --------------------------------------------------------

-- 
-- Table structure for table `products_to_categories`
-- 

CREATE TABLE `products_to_categories` (
  `products_id` int(11) NOT NULL default '0',
  `categories_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`products_id`,`categories_id`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `products_to_categories`
-- 

INSERT INTO `products_to_categories` (`products_id`, `categories_id`) VALUES (28, 21),
(29, 21),
(30, 22),
(31, 21),
(32, 23);

-- --------------------------------------------------------

-- 
-- Table structure for table `reviews`
-- 

CREATE TABLE `reviews` (
  `reviews_id` int(11) NOT NULL auto_increment,
  `products_id` int(11) NOT NULL default '0',
  `customers_id` int(11) default NULL,
  `customers_name` varchar(64) NOT NULL default '',
  `reviews_rating` int(1) default NULL,
  `date_added` datetime default NULL,
  `last_modified` datetime default NULL,
  `reviews_read` int(5) NOT NULL default '0',
  PRIMARY KEY  (`reviews_id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `reviews`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `reviews_description`
-- 

CREATE TABLE `reviews_description` (
  `reviews_id` int(11) NOT NULL default '0',
  `languages_id` int(11) NOT NULL default '0',
  `reviews_text` text NOT NULL,
  PRIMARY KEY  (`reviews_id`,`languages_id`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `reviews_description`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `sessions`
-- 

CREATE TABLE `sessions` (
  `sesskey` varchar(32) NOT NULL default '',
  `expiry` int(11) unsigned NOT NULL default '0',
  `value` text NOT NULL,
  PRIMARY KEY  (`sesskey`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `sessions`
-- 

INSERT INTO `sessions` (`sesskey`, `expiry`, `value`) VALUES ('2160f955582d81f7510d8dad77dc618f', 1146624038, 'cart|O:12:"shoppingCart":5:{s:8:"contents";a:0:{}s:5:"total";i:0;s:6:"weight";i:0;s:6:"cartID";N;s:12:"content_type";b:0;}languages_id|s:1:"1";currency|s:3:"EUR";navigation|O:17:"navigationHistory":2:{s:4:"path";a:2:{i:0;a:4:{s:4:"page";s:9:"index.php";s:4:"mode";s:6:"NONSSL";s:3:"get";a:0:{}s:4:"post";a:0:{}}i:1;a:4:{s:4:"page";s:20:"calendar_content.php";s:4:"mode";s:6:"NONSSL";s:3:"get";a:2:{s:6:"_month";s:0:"";s:5:"_year";s:0:"";}s:4:"post";a:0:{}}}s:8:"snapshot";a:0:{}}'),
('32f5cf7da91c269bc0ed70857302503f', 1146624002, 'language|s:7:"english";languages_id|s:1:"1";selected_box|s:12:"localization";');

-- --------------------------------------------------------

-- 
-- Table structure for table `specials`
-- 

CREATE TABLE `specials` (
  `specials_id` int(11) NOT NULL auto_increment,
  `products_id` int(11) NOT NULL default '0',
  `specials_new_products_price` decimal(15,4) NOT NULL default '0.0000',
  `specials_date_added` datetime default NULL,
  `specials_last_modified` datetime default NULL,
  `expires_date` datetime default NULL,
  `date_status_change` datetime default NULL,
  `status` int(1) NOT NULL default '1',
  PRIMARY KEY  (`specials_id`)
) TYPE=MyISAM AUTO_INCREMENT=5 ;

-- 
-- Dumping data for table `specials`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `tax_class`
-- 

CREATE TABLE `tax_class` (
  `tax_class_id` int(11) NOT NULL auto_increment,
  `tax_class_title` varchar(32) NOT NULL default '',
  `tax_class_description` varchar(255) NOT NULL default '',
  `last_modified` datetime default NULL,
  `date_added` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`tax_class_id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `tax_class`
-- 

INSERT INTO `tax_class` (`tax_class_id`, `tax_class_title`, `tax_class_description`, `last_modified`, `date_added`) VALUES (1, 'Taxable Goods', 'The following types of products are included non-food, services, etc', '2006-04-24 21:02:32', '2006-04-24 21:02:32');

-- --------------------------------------------------------

-- 
-- Table structure for table `tax_rates`
-- 

CREATE TABLE `tax_rates` (
  `tax_rates_id` int(11) NOT NULL auto_increment,
  `tax_zone_id` int(11) NOT NULL default '0',
  `tax_class_id` int(11) NOT NULL default '0',
  `tax_priority` int(5) default '1',
  `tax_rate` decimal(7,4) NOT NULL default '0.0000',
  `tax_description` varchar(255) NOT NULL default '',
  `last_modified` datetime default NULL,
  `date_added` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`tax_rates_id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `tax_rates`
-- 

INSERT INTO `tax_rates` (`tax_rates_id`, `tax_zone_id`, `tax_class_id`, `tax_priority`, `tax_rate`, `tax_description`, `last_modified`, `date_added`) VALUES (1, 1, 1, 1, 7.0000, 'FL TAX 7.0%', '2006-04-24 21:02:32', '2006-04-24 21:02:32');

-- --------------------------------------------------------

-- 
-- Table structure for table `whos_online`
-- 

CREATE TABLE `whos_online` (
  `customer_id` int(11) default NULL,
  `full_name` varchar(64) NOT NULL default '',
  `session_id` varchar(128) NOT NULL default '',
  `ip_address` varchar(15) NOT NULL default '',
  `time_entry` varchar(14) NOT NULL default '',
  `time_last_click` varchar(14) NOT NULL default '',
  `last_page_url` varchar(255) NOT NULL default ''
) TYPE=MyISAM;

-- 
-- Dumping data for table `whos_online`
-- 

INSERT INTO `whos_online` (`customer_id`, `full_name`, `session_id`, `ip_address`, `time_entry`, `time_last_click`, `last_page_url`) VALUES (0, 'Guest', '2160f955582d81f7510d8dad77dc618f', '24.14.145.213', '1146622527', '1146622598', '/');

-- --------------------------------------------------------

-- 
-- Table structure for table `zones`
-- 

CREATE TABLE `zones` (
  `zone_id` int(11) NOT NULL auto_increment,
  `zone_country_id` int(11) NOT NULL default '0',
  `zone_code` varchar(32) NOT NULL default '',
  `zone_name` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`zone_id`)
) TYPE=MyISAM AUTO_INCREMENT=182 ;

-- 
-- Dumping data for table `zones`
-- 

INSERT INTO `zones` (`zone_id`, `zone_country_id`, `zone_code`, `zone_name`) VALUES (1, 223, 'AL', 'Alabama'),
(2, 223, 'AK', 'Alaska'),
(3, 223, 'AS', 'American Samoa'),
(4, 223, 'AZ', 'Arizona'),
(5, 223, 'AR', 'Arkansas'),
(6, 223, 'AF', 'Armed Forces Africa'),
(7, 223, 'AA', 'Armed Forces Americas'),
(8, 223, 'AC', 'Armed Forces Canada'),
(9, 223, 'AE', 'Armed Forces Europe'),
(10, 223, 'AM', 'Armed Forces Middle East'),
(11, 223, 'AP', 'Armed Forces Pacific'),
(12, 223, 'CA', 'California'),
(13, 223, 'CO', 'Colorado'),
(14, 223, 'CT', 'Connecticut'),
(15, 223, 'DE', 'Delaware'),
(16, 223, 'DC', 'District of Columbia'),
(17, 223, 'FM', 'Federated States Of Micronesia'),
(18, 223, 'FL', 'Florida'),
(19, 223, 'GA', 'Georgia'),
(20, 223, 'GU', 'Guam'),
(21, 223, 'HI', 'Hawaii'),
(22, 223, 'ID', 'Idaho'),
(23, 223, 'IL', 'Illinois'),
(24, 223, 'IN', 'Indiana'),
(25, 223, 'IA', 'Iowa'),
(26, 223, 'KS', 'Kansas'),
(27, 223, 'KY', 'Kentucky'),
(28, 223, 'LA', 'Louisiana'),
(29, 223, 'ME', 'Maine'),
(30, 223, 'MH', 'Marshall Islands'),
(31, 223, 'MD', 'Maryland'),
(32, 223, 'MA', 'Massachusetts'),
(33, 223, 'MI', 'Michigan'),
(34, 223, 'MN', 'Minnesota'),
(35, 223, 'MS', 'Mississippi'),
(36, 223, 'MO', 'Missouri'),
(37, 223, 'MT', 'Montana'),
(38, 223, 'NE', 'Nebraska'),
(39, 223, 'NV', 'Nevada'),
(40, 223, 'NH', 'New Hampshire'),
(41, 223, 'NJ', 'New Jersey'),
(42, 223, 'NM', 'New Mexico'),
(43, 223, 'NY', 'New York'),
(44, 223, 'NC', 'North Carolina'),
(45, 223, 'ND', 'North Dakota'),
(46, 223, 'MP', 'Northern Mariana Islands'),
(47, 223, 'OH', 'Ohio'),
(48, 223, 'OK', 'Oklahoma'),
(49, 223, 'OR', 'Oregon'),
(50, 223, 'PW', 'Palau'),
(51, 223, 'PA', 'Pennsylvania'),
(52, 223, 'PR', 'Puerto Rico'),
(53, 223, 'RI', 'Rhode Island'),
(54, 223, 'SC', 'South Carolina'),
(55, 223, 'SD', 'South Dakota'),
(56, 223, 'TN', 'Tennessee'),
(57, 223, 'TX', 'Texas'),
(58, 223, 'UT', 'Utah'),
(59, 223, 'VT', 'Vermont'),
(60, 223, 'VI', 'Virgin Islands'),
(61, 223, 'VA', 'Virginia'),
(62, 223, 'WA', 'Washington'),
(63, 223, 'WV', 'West Virginia'),
(64, 223, 'WI', 'Wisconsin'),
(65, 223, 'WY', 'Wyoming'),
(66, 38, 'AB', 'Alberta'),
(67, 38, 'BC', 'British Columbia'),
(68, 38, 'MB', 'Manitoba'),
(69, 38, 'NF', 'Newfoundland'),
(70, 38, 'NB', 'New Brunswick'),
(71, 38, 'NS', 'Nova Scotia'),
(72, 38, 'NT', 'Northwest Territories'),
(73, 38, 'NU', 'Nunavut'),
(74, 38, 'ON', 'Ontario'),
(75, 38, 'PE', 'Prince Edward Island'),
(76, 38, 'QC', 'Quebec'),
(77, 38, 'SK', 'Saskatchewan'),
(78, 38, 'YT', 'Yukon Territory'),
(79, 81, 'NDS', 'Niedersachsen'),
(80, 81, 'BAW', 'Baden-Wrttemberg'),
(81, 81, 'BAY', 'Bayern'),
(82, 81, 'BER', 'Berlin'),
(83, 81, 'BRG', 'Brandenburg'),
(84, 81, 'BRE', 'Bremen'),
(85, 81, 'HAM', 'Hamburg'),
(86, 81, 'HES', 'Hessen'),
(87, 81, 'MEC', 'Mecklenburg-Vorpommern'),
(88, 81, 'NRW', 'Nordrhein-Westfalen'),
(89, 81, 'RHE', 'Rheinland-Pfalz'),
(90, 81, 'SAR', 'Saarland'),
(91, 81, 'SAS', 'Sachsen'),
(92, 81, 'SAC', 'Sachsen-Anhalt'),
(93, 81, 'SCN', 'Schleswig-Holstein'),
(94, 81, 'THE', 'Thringen'),
(95, 14, 'WI', 'Wien'),
(96, 14, 'NO', 'Niedersterreich'),
(97, 14, 'OO', 'Obersterreich'),
(98, 14, 'SB', 'Salzburg'),
(99, 14, 'KN', 'Krnten'),
(100, 14, 'ST', 'Steiermark'),
(101, 14, 'TI', 'Tirol'),
(102, 14, 'BL', 'Burgenland'),
(103, 14, 'VB', 'Voralberg'),
(104, 204, 'AG', 'Aargau'),
(105, 204, 'AI', 'Appenzell Innerrhoden'),
(106, 204, 'AR', 'Appenzell Ausserrhoden'),
(107, 204, 'BE', 'Bern'),
(108, 204, 'BL', 'Basel-Landschaft'),
(109, 204, 'BS', 'Basel-Stadt'),
(110, 204, 'FR', 'Freiburg'),
(111, 204, 'GE', 'Genf'),
(112, 204, 'GL', 'Glarus'),
(113, 204, 'JU', 'Graubnden'),
(114, 204, 'JU', 'Jura'),
(115, 204, 'LU', 'Luzern'),
(116, 204, 'NE', 'Neuenburg'),
(117, 204, 'NW', 'Nidwalden'),
(118, 204, 'OW', 'Obwalden'),
(119, 204, 'SG', 'St. Gallen'),
(120, 204, 'SH', 'Schaffhausen'),
(121, 204, 'SO', 'Solothurn'),
(122, 204, 'SZ', 'Schwyz'),
(123, 204, 'TG', 'Thurgau'),
(124, 204, 'TI', 'Tessin'),
(125, 204, 'UR', 'Uri'),
(126, 204, 'VD', 'Waadt'),
(127, 204, 'VS', 'Wallis'),
(128, 204, 'ZG', 'Zug'),
(129, 204, 'ZH', 'Zrich'),
(130, 195, 'A Corua', 'A Corua'),
(131, 195, 'Alava', 'Alava'),
(132, 195, 'Albacete', 'Albacete'),
(133, 195, 'Alicante', 'Alicante'),
(134, 195, 'Almeria', 'Almeria'),
(135, 195, 'Asturias', 'Asturias'),
(136, 195, 'Avila', 'Avila'),
(137, 195, 'Badajoz', 'Badajoz'),
(138, 195, 'Baleares', 'Baleares'),
(139, 195, 'Barcelona', 'Barcelona'),
(140, 195, 'Burgos', 'Burgos'),
(141, 195, 'Caceres', 'Caceres'),
(142, 195, 'Cadiz', 'Cadiz'),
(143, 195, 'Cantabria', 'Cantabria'),
(144, 195, 'Castellon', 'Castellon'),
(145, 195, 'Ceuta', 'Ceuta'),
(146, 195, 'Ciudad Real', 'Ciudad Real'),
(147, 195, 'Cordoba', 'Cordoba'),
(148, 195, 'Cuenca', 'Cuenca'),
(149, 195, 'Girona', 'Girona'),
(150, 195, 'Granada', 'Granada'),
(151, 195, 'Guadalajara', 'Guadalajara'),
(152, 195, 'Guipuzcoa', 'Guipuzcoa'),
(153, 195, 'Huelva', 'Huelva'),
(154, 195, 'Huesca', 'Huesca'),
(155, 195, 'Jaen', 'Jaen'),
(156, 195, 'La Rioja', 'La Rioja'),
(157, 195, 'Las Palmas', 'Las Palmas'),
(158, 195, 'Leon', 'Leon'),
(159, 195, 'Lleida', 'Lleida'),
(160, 195, 'Lugo', 'Lugo'),
(161, 195, 'Madrid', 'Madrid'),
(162, 195, 'Malaga', 'Malaga'),
(163, 195, 'Melilla', 'Melilla'),
(164, 195, 'Murcia', 'Murcia'),
(165, 195, 'Navarra', 'Navarra'),
(166, 195, 'Ourense', 'Ourense'),
(167, 195, 'Palencia', 'Palencia'),
(168, 195, 'Pontevedra', 'Pontevedra'),
(169, 195, 'Salamanca', 'Salamanca'),
(170, 195, 'Santa Cruz de Tenerife', 'Santa Cruz de Tenerife'),
(171, 195, 'Segovia', 'Segovia'),
(172, 195, 'Sevilla', 'Sevilla'),
(173, 195, 'Soria', 'Soria'),
(174, 195, 'Tarragona', 'Tarragona'),
(175, 195, 'Teruel', 'Teruel'),
(176, 195, 'Toledo', 'Toledo'),
(177, 195, 'Valencia', 'Valencia'),
(178, 195, 'Valladolid', 'Valladolid'),
(179, 195, 'Vizcaya', 'Vizcaya'),
(180, 195, 'Zamora', 'Zamora'),
(181, 195, 'Zaragoza', 'Zaragoza');

-- --------------------------------------------------------

-- 
-- Table structure for table `zones_to_geo_zones`
-- 

CREATE TABLE `zones_to_geo_zones` (
  `association_id` int(11) NOT NULL auto_increment,
  `zone_country_id` int(11) NOT NULL default '0',
  `zone_id` int(11) default NULL,
  `geo_zone_id` int(11) default NULL,
  `last_modified` datetime default NULL,
  `date_added` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`association_id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `zones_to_geo_zones`
-- 

INSERT INTO `zones_to_geo_zones` (`association_id`, `zone_country_id`, `zone_id`, `geo_zone_id`, `last_modified`, `date_added`) VALUES (1, 223, 18, 1, NULL, '2006-04-24 21:02:32');
